"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="3"
"UIPATH 1"="Startup/Shutdown\Startup\Windows 9x/ME\50) AutoRun - Part 1"
"UIPATH 2"="Startup/Shutdown\Startup\Windows 9x/ME\70) AutoRun - Part 2"
"UIPATH 3"="Startup/Shutdown\Startup\Windows NT/2K/XP\20) AutoRun - Part 1"
"UIPATH 4"="Startup/Shutdown\Startup\Windows NT/2K/XP\50) AutoRun - Part 2"
"NAME"="Move AutoRun Items"
"VERSION"="1.24"
"WARNING"="1"
"LANGUAGE"="VBScript"
"TEXT 1"="System->User"
"TEXT 2"="Show Info"
"TEXT 3"="User->System"
"DESCRIPTION 1"="This plug-in can be used to move the programs that are automatically launched when your computer starts or when you log in."
"DESCRIPTION 2"="All items that are marked with "USER:" are launched when you log in. All programs that are marked with "SYST:" are launched as soon as the computer is started."
"DESCRIPTION 3"="For example if you have an application that is launched when you log in (USER:) and but should be launched when the computer is started, selected the item and press "USER->SYSTEM"."
"DESCRIPTION 4"="On the other hand, to move a program that is launched when the computer starts (SYST:) but should only be started when you log in, press "SYSTEM->USER"."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to "Hozak, Lubomir" <Lubomir.Hozak@skoda-auto.cz> for the idea!"


iCount=0

sUSR="USER: "
sSYS="SYST: "
iTxtLen=6

sP1="HKCU\Software\Microsoft\Windows\CurrentVersion\Run\"
sP2="HKLM\Software\Microsoft\Windows\CurrentVersion\Run\"
Sub Plugin_Initialize 
 Call ReadAll()


End Sub

Sub ReadAll
 if iCount>0 then
    for i=1 to iCount  
        Call SetUIElement(i,"") '//clear all
    next
 end if


 iC1=RegEnumValues(sP1)
 'msginformation ic1

 iC2=RegEnumValues(sP2)
 'msginformation ic2

 iCount=iC1+iC2 '//save total count


 'Read current user
 l=RegEnumValues(sP1)
 if l>0 then
    for i=1 to l
        sName=RegEnumElement(i)
        Call SetUIElement(i,sUSR & sName)
    next
 end if

 
 l=RegEnumValues(sP2)
 if l>0 then
    for i=1 to l
        sName=RegEnumElement(i)
        Call SetUIElement(i+iC1,sSYS & sName)
    next 
 end if

End Sub



Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementSubIndex>0 then

    s=GetUIElement(ElementSubIndex)

    '//first get the regvalue
    sRegValue=right(s,len(s)-iTxtLen)
    ''''msginformation "[" & sRegValue & "]"

    '//user or system
    if left(s,iTxtLen)=sUSR then
       sRegPath=sP1
       bIsUser=true 
    else
       sRegPath=sP2
       bIsUser=false
    end if
    ''''msginformation "[" & sRegPath & "]"


    '//read the value
    sValue=RegReadValue(sRegpath & sRegValue)




    '//System To User
    if ElementIndex=1 then 
       if bIsUser=true then
          MsgError "You need to select a SYSTEM entry!"
       else
          Call RegWriteValue(sP1 & sRegValue,sValue,1)
          Call RegDeleteValue(sRegPath & sRegValue)
          Call ReadAll
       end if
    end if

    '//Show info
    if ElementIndex=2 then 
       MsgInformation "Command: " & vbCrLf & vbCrLf & sValue
    end if

    '//User to System 
    if ElementIndex=3 then 
       if bIsUser=false then
          MsgError "You need to select an USER entry!"
       else
          Call RegWriteValue(sP2 & sRegValue,sValue,1)
          Call RegDeleteValue(sRegPath & sRegValue)
          Call ReadAll
       end if
    end if

  

   
  end if
End Sub

Sub Plugin_Terminate 
End Sub



