"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="5"
"UIPATH"="Hardware\Modem\"
"NAME"="COM Port Buffers"
"OSVERSION"="10101"
"VERSION"="1.04"
"LANGUAGE"="VBScript"
"TEXT 1"="COM1: Buffer"
"TEXT 2"="COM2: Buffer"
"TEXT 3"="COM3: Buffer"
"TEXT 4"="COM4: Buffer"
"TEXT 5"="COM5: Buffer"
"DESCRIPTION 1"="To increase the buffer size (in Bytes) for characters sent/received by your communications device (modem) on a specific COM port. "
"DESCRIPTION 2"="Default Buffer value is 128. High values will decrease modem transfer speed slightly, but might prevent loss of characters at high baud rates (above 9600 bps). "
"DESCRIPTION 3"="Experimenting may be necessary to find your best setting."
"DESCRIPTION 4"="This is only necessary for external modems, internal modems (e.g. riser-card) do not need this!"
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to AXCEL216!"
"COMMENT 3"="Thanks to Chris [mailto:cgmt@flashmail.com] for the "no WIN.INI" bug-fix!"
"COMMENT 4"="Thanks to Petr Tandler [mailto:tanpe@volny.cz] for the "external modems only" note!"

sFile="SYSTEM.INI"
sReg="HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Ports\"

sSec="386Enh"
sTa="COM"
sTb="Buffer"

'*DEFAULT*
'sV_Normal="9600,n,8,1,x"
'*BETTER*
'sV_Better="921600,n,8,1,p"

bIniMode=true


Sub Plugin_Initialize  
 bIniMode=true

 for i=1 to 5
     s=sTa & i & sTb 
     
     if bIniMode then
        s=IniReadValue(sFILE,sSec,s)
     else
        s=RegReadValue(sReg & s)
     end if 

     SetUIElement i,s  

     'if s=sV_Better then
     '   SetUIElement i,true
     'end if 
 next 

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 for i=1 to 5
     v=GetUIElement(i)
     s=sTa & i & sTb 
    
     'if b=true then
     '   sTemp=sV_Better
     'else
     '   sTemp=sV_Normal
     'end if


     if bIniMode then
        Call IniWriteValue(sFILE,sSec,s,v) 
     else
        'Call RegWriteValue(sReg & s,sTemp,1)
     end if
 next 
 


 Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub
