"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH 1"="Startup/Shutdown\Startup\Windows NT/2K/XP\00) Boot-Up Blue Screen"
"NAME"="Boot-time Autocheck Countdown"
"VERSION"="1.03"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="Timeout (sec)"
"DESCRIPTION 1"="Windows NT and Windows 2000 only. Requires administrator privileges."
"DESCRIPTION 2"="When you schedule CHKDSK to run at next boot time for a locked disk, the system will prompt you to press a key to cancel the operation."
"DESCRIPTION 3"="The system will display a countdown during that cancel period. The default value is 10 seconds."
"DESCRIPTION 4"="You can put in any value from zero to 259,200 seconds (3 days). With a timeout of zero, there is no countdown and you cannot cancel the operation."
"DESCRIPTION 5"="To reset the default value, clear the input field."
"AUTHOR"="Pierre Szwarc"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright (C) 2000, Xteq Systems"
"COMMENT 1"="This plug-in lets you change (typically, shorten) the wait for CHKDSK at boot time."
"COMMENT 2"="Source: MS KB article Q191603"

'Declaration of some constants
sV = "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\AutoChkTimeOut"
bDf = true  ' Default value applies
bCh = false ' Changes have been made

'Called when the Plugin is started
SUB Plugin_Initialize
   i = RegReadValue(sV)
   if IsEmpty(i) = false then
     SetUIElement 1, i
     bDf = false
   else
     bDf = true
   end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 sD = GetUIElement(1)
 if len(sD) <= 0 then
   bDf = true
 else
   if sD < 0 or sD > 259200 then
     Call MsgError("Value " & sD & " outside allowed range (0-259,200)")
   else
     bDf = false
   end if
 end if

 if bDf then
   i = RegPathExists(sV)
   if IsEmpty(i) = false then
     RegDeletePath sV
     bCh = true
   end if
 else
   RegWriteValue sV, GetUIElement(1), 2
   bCh = true
 end if
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
 if bCh then
   Restart
 end if
END SUB
