"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Appearance\System\Open Dialog"
"NAME"="Windows Open Dialog Options"
"VERSION"="1.05"
"LANGUAGE"="VBScript"
"OSVERISON"="000111"
"TEXT 1"="Show "Places Bar" inside dialog"
"TEXT 2"="Show "Back" button inside dialog"
"TEXT 3"="Show recent used files inside dialog"
"DESCRIPTION 1"="If you use a Windows application, it will use the common Windows Open dialog that normally has the following options:"
"DESCRIPTION 2"=""Places Bar": Allows you to jump directly to History, Desktop, My Documents etc."
"DESCRIPTION 3"=""Back Button": This button can be used to browse to the previous accessed folder inside the dialog."
"DESCRIPTION 4"=""Recent Used Files": A drop-down field that lists the recent used file-names."
"DESCRIPTION 5"="Each of these options can be turned off."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


'Declaration of some constants
sV1="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\NoPlacesBar"
sV2="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\NoBackButton"
sV3="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Comdlg32\NoFileMRU"

'Note can also be added to HKEY_LOCAL_MACHINE!


'Called when the Plugin is started
SUB Plugin_Initialize 
 i=RegReadValue(sV1) 'DW
 If IsEmpty(i) or i=0 then SetUIElement 1,true
 
 i=RegReadValue(sV2) 'DW
 if IsEmpty(i) or i=0 then SetUIElement 2,true

 i=RegReadValue(sV3) 'DW
 if IsEmpty(i) or i=0 then SetUIElement 3,true
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex) 
 Call WriteIt(1,sV1)
 Call WriteIt(2,sV2)
 Call WriteIt(3,sV3)
 
 Call Logoff
END SUB

Sub WriteIt(ITM,PATH)
  b=GetUIElement(ITM)
  if b=true then
     s=RegReadValue(PATH)
     if IsEmpty(s)=false then
        Call RegDeleteValue(Path)
     end if
  else
    Call RegWriteValue(PATH,1,2)
  end if
End Sub




'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
