"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH 1"="Appearance\Control Panel\System Icons"
"NAME"="Visible System Icons (NT/2000/XP)"
"VERSION"="1.12"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="Display "" applet"
"DESCRIPTION 1"="This plug-in can be used to hide or show the different applets inside Start -> Settings -> Control Panel."
"DESCRIPTION 2"="Not all of these options will be available on every system.  Availability depends upon the software installed on your system."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Special thanks to Maxwell (maxwello@hotpop.com) for his brilliant tips and CptSiskoX (CptSiskoX@flashmail.com) for his help."
"COMMENT 3"="See also: MS KB Q207750"


'******************************************************************
'***                ONLY CHANGE LINES BELOW                    ****
'******************************************************************

aryDesc=Array("Network/Dial up","RAS Control","Server Manager","DOS Console","Ports","License manager","PCMCIA / Tape / SCSI","Devices / Services / Server","UPS","MS DTC")
aryCPLs=Array("ncpa.cpl","rascpl.cpl","srvmgr.cpl","console.cpl","ports.cpl","liccpa.cpl","devapps.cpl","srvmgr.cpl","ups.cpl","dtccfg.cpl") 

'******************************************************************
sPath="HKCU\Control Panel\Don't Load\"
sFile="CONTROL.INI"
sFileSec="Don't Load"



SUB Plugin_Initialize
 for i=0 to UBound(aryCPLs)
     Call ReadIt(i+1,aryCPLs(i),aryDesc(i)) 
 next 
END SUB

Sub ReadIt(ItemNumber,VAL,Desc)
  Call SetUIElement(ItemNumber,"Show '" & Desc & "' applet")

  If GetWinVer=2 or GetWinVer=4 then
     s=RegReadValue(sPath & VAL)
     if IsEmpty(s)=false then
        Call SetUIElementEx(ItemNumber,false)
     else
        Call SetUIElementEx(ItemNumber,true)
     end if
  else
     s=IniReadValue(sFile,sFileSec,VAL)
     if len(s)>0 then
        Call SetUIElementEx(ItemNumber,false)
     else
        Call SetUIElementEx(ItemNumber,true)
     end if   
  end if
     
End Sub

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 for i=0 to UBound(aryCPLs)
     Call WriteIt(i+1,aryCPLs(i)) 
 next 

 Call IndicateSettingChange()
END SUB

Sub WriteIt(ITM,VAL)
 b=GetUIElementEx(ITM)
 'b=GetUIElement(-1) 'crash
 if b=true then
    'Display it
 
    if GetWinVer=2 or GetWinVer=4 then  
       s=RegReadValue(sPath & VAL)
       if IsEmpty(s)=false then
          Call RegDeleteValue(sPath & VAL)
       end if
    else
       Call IniWriteValue(sFile,sFileSec,VAL,"")
    end if

 else
   'Hide it
   
   if GetWinVer=2 or GetWinVer=4 then
      Call RegWriteValue(sPath & VAL,"1",1) 
   else
      Call IniWriteValue(sFile,sFileSec,VAL,"no")
   end if

 end if   
End Sub


'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB


