"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="2"
"UIPATH"="Appearance\Interface\Cool Switch"
"NAME"="Cool Switch Settings"
"VERSION"="1.36"
"LANGUAGE"="VBScript"
"TEXT 1"="Columns"
"TEXT 2"="Rows"
"DESCRIPTION 1"="If you press ALT+TAB, you perform a so called "Cool Switch"."
"DESCRIPTION 2"="Normally, Windows displays seven columns and three rows in this dialog but you can change these values here."
"DESCRIPTION 3"="To restore the original values, clear both fields.  Default values are Columns 7, Rows 3."
"DESCRIPTION 4"="Note: These settings have no effect when you are using Windows 95."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"=" "
"COMMENT 3"="Thanks to Andrew Roberts (alr@autoprt.co.uk) for the bug fix."


'Declaration of some constants
sP="HKCU\Control Panel\Desktop\"
sV1="CoolSwitchColumns"
sv2="CoolSwitchRows"

'Called when the Plugin is started
Sub Plugin_Initialize
 i=RegReadValue(sp & sv1)
 SetUIElement 1,i
 
 i=RegReadValue(sp & sv2)
 SetUIElement 2,i
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 '//Always activate CoolSwitch
 Call RegWriteValue(sp & "CoolSwitch","1",1)

 i=GetUIElement(1)
 Call WriteStuff(sp & sv1,i)

 i=GetUIElement(2)
 Call WriteStuff(sp & sv2,i)
 
 Call Restart
End Sub

Sub WriteStuff(Path,Value)
 if len(value)>0 then
    'Activate it (note: changed from DWORD to STRING - work for NT machines)
    Call RegWriteValue(Path,Value,1)
 else
    'Deactivate it!

    s=RegReadValue(Path)
    if IsEmpty(s)=false then
       'Value exists
       Call RegDeleteValue(Path)
    end if

 end if
End Sub



'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub


