"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="1"
"COUNT"="1"
"UIPATH"="Appearance\Interface\Effects"
"NAME"="Cursor Blink Rate"
"VERSION"="1.31"
"LANGUAGE"="VBScript"
"TEXT 1"="Blinking Rate"
"DESCRIPTION 1"="The text cursor (insertion point) has a specified blinking rate, effective in all applications using the standard block cursor dialog box, like Notepad. Default value is 530 (the cursor blinks 2 times per second), the fastest blink rate is 1 (16 times per second), to disable blinking completely enter -1, and a value of 65535 translates into a very slow blinking rate."
"DESCRIPTION 2"="NOTE: A value smaller than 5 may make the cursor disappear, if it stops moving for more than 10 seconds. To make it reappear, just move the cursor again."
"AUTHOR"="Xteq Systems (CptSiskoX)"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Fraser D. Smithson [frasers@mediaone.net] for the bug notice."

'Declaration of some constants
sP="HKCU\Control Panel\Desktop\"
sV1="CursorBlinkRate"

'Called when the Plugin is started
Sub Plugin_Initialize
 i=RegReadValue(sp & sv1)
 SetUIElement 1,i 
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)

 if IsNumeric(i) then
    if i<-1 or i>65535 then
       Call MsgError("Please enter a value between -1 and 65535!")
    else
       Call RegWriteValue(sp & sv1,i,1)
       Call Restart
    end if
 else
   Call MsgError("Please enter a value between -1 and 65535!")
 end if

End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub
