"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Appearance\Desktop\Options"
"NAME"="General Desktop Options"
"VERSION"="2.04"
"LANGUAGE"="VBScript"
"TEXT 1"="Show ToolTips on Desktop and inside Explorer"
"TEXT 2"="Save item positions on exit"
"TEXT 3"="Use 256 color icons when possible"
"DESCRIPTION 1"="If the first option is activated the Desktop and the Windows Explorer will display a ToolTip for various items. If deactivated, this AKA "bubble help" will not appear."
"DESCRIPTION 2"="If "Save item positions on exit" is activated, the desktop saves the positions of every icon on the desktop on exit (default). If deactivated, Windows does not save the positions."
"DESCRIPTION 3"="If "Use 256 color icons when possible" is activated, Windows will try to use 256 color icons for all links on your desktop instead of the "normal" 16 color icons."
"DESCRIPTION 4"="To see the changes, switch to the desktop and press F5 to refresh it."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to Maxwell <maxwello@hotpop.com> for this setting."
"COMMENT 3"="Thanks to Pierre Szwarc <http://perso.cybercable.fr/szwarc/> for the Windows 2000 part."
"COMMENT 4"="Thanks to Serge LEICHTER [s.leichter@magic.fr] for the "My computer" bug notice."


sV1="HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced\ShowInfoTip" 'DW
sV2="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoSaveSettings" 'BINARY!
sV3="HKCU\Control Panel\Desktop\WindowMetrics\Shell Icon BPP" 'STRING 


Sub Plugin_Initialize 
    i=RegReadValue(sV1)
    if i=1 then SetUIElement 1,true

    i=RegReadValue(sV2)
    if IsEmpty(i) or i="00000000" then SetUIElement 2,true

    s=RegReadValue(sV3)
    if s="16" then SetUIElement 3,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)

 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue(sV1,1,2)
 else
    Call RegWriteValue(sV1,0,2)
 end if


 b=GetUIElement(2)
 if b=true then
    Call RegWriteValue(sV2,"00000000",3)
 else
    Call RegWriteValue(sV2,"01000000",3)
 end if

 b=GetUIElement(3)
 if b=true then
    Call RegWriteValue(sV3,"16",1)
 else
    Call RegWriteValue(sV3,"0",1)
 end if


 Call IndicateSettingChange()
End Sub

Sub Plugin_Terminate 
End Sub
