"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH"="Program Options\Built in Windows Apps\DirectX"
"NAME"="Direct Draw 1"
"OSVERSION"="101111"
"VERSION"="1.03"
"LANGUAGE"="VBScript"
"TEXT 1"="ForceNoSysLock"
"TEXT 2"="DisableNoSysLock"
"TEXT 3"="DisableMMX"
"TEXT 4"="DisableWiderSurfaces"
"TEXT 5"="EnablePrintScreen"
"DESCRIPTION 1"="Enables [Checked Box] or disables [Cleared Box] NoSysLock on Lock for lower resolution 3D video modes."
"DESCRIPTION 2"="Enables [Cleared Box] or disables [Checked Box] NoSysLock on Lock for lower resolution 3D video modes."
"DESCRIPTION 3"="Enables [Cleared Box] or disables [Checked Box] use of MMX extensions on supported CPUs. MMX supporting CPUs consist of all Intel CPUs newer than the Pentium MMX & those from AMD (K6 or newer). This can yield improved performance on such systems."
"DESCRIPTION 4"="Enables [Cleared Box] or disables [Checked Box] 3D Wide Surfaces support on newer/faster PCI/AGP video controllers that support this feature, like: 3dfx Banshee/Voodoo3/Voodoo4/Voodoo5, NVidia TNT/TNT2/GeForce/Quadro, S3 Savage, Matrox G200/G400, ATI Rage/Fury/MAXX etc."
"DESCRIPTION 5"="Enables [Checked Box] or disables [Cleared Box] the use of the Print Screen key to capture current window/full screen, which can then be pasted & saved as JPG/BMP/GIF/etc into any OLE2 capable graphics program like MS Paint, Adobe Photo Shop, JASC Paint Shop Pro, IrfanView, XNview, LView Pro etc."
"AUTHOR"="Ojatex@aol.com"
"CONTACTURL"="http://members.aol.com/ojatex/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="These tweaks for Direct Draw courtesy of Axcel216@aol.com. See http://users.aol.com/axcel216/newtip18.htm#DXTWK."


Sub Plugin_Initialize 
 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\ForceNoSysLock")
 if i=1 then SetUIElement 1,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\DisableNoSysLock")
 if i=1 then SetUIElement 2,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\DisableMMX")
 if i=1 then SetUIElement 3,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\DisableWiderSurfaces")
 if i=1 then SetUIElement 4,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\EnablePrintScreen")
 if i=1 then SetUIElement 5,true
End Sub


Sub Plugin_CheckData(ElementIndex)
End Sub



Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\ForceNoSysLock","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\ForceNoSysLock","0",2)
 end if

b=GetUIElement(2)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableNoSysLock","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableNoSysLock","0",2)
 end if

 b=GetUIElement(3)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableMMX","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableMMX","0",2)
 end if

b=GetUIElement(4)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableWiderSurfaces","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableWiderSurfaces","0",2)
 end if

b=GetUIElement(5)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\EnablePrintScreen","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\EnablePrintScreen","0",2)
 end if




End Sub


Sub Plugin_Terminate 
End Sub



