"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH"="Program Options\Built in Windows Apps\DirectX"
"NAME"="Direct Draw 2"
"OSVERSION"="101111"
"VERSION"="1.03"
"LANGUAGE"="VBScript"
"TEXT 1"="DisableInactivate"
"TEXT 2"="ShowFrameRate"
"TEXT 3"="ModeXOnly"
"TEXT 4"="EmulationOnly"
"TEXT 5"="DisableAGPSupport"
"DESCRIPTION 1"="Enables [Checked Box] or disables [Cleared Box] Multi-Monitor Debugging for troubleshooting purposes, if using a dual-monitor head capable video controller."
"DESCRIPTION 2"="Enables [Checked Box] or disables [Cleared Box] the display of frame rate for 3D apps/games that support this feature (Not many), and available only on 3D video cards. Note that this setting (When available) may slightly reduce your frame rates. If your Application/Game doesn't support this then check http://www.fraps.com"
"DESCRIPTION 3"="Enables [Cleared Box] or disables [Checked Box] ModeX support for 320x200 (EGA) on older/slower video cards that may present incompatibilities in this low resolution mode."
"DESCRIPTION 4"="Enables [Checked Box] or disables [Cleared Box] Software Emulation Layer (SEL) for slower performance but better stability on older/slower (i.e. 2D only) video cards. Modern AGP/PCI 3D video cards use the Hardware Abstraction Layer (HAL) by default, thus it is recommended to disable this setting for maximum "velocity". :)."
"DESCRIPTION 5"="Enables [Cleared Box] or disables [Checked Box] AGP Support, ONLY IF supported by motherboard, video hardware AND video driver."
"AUTHOR"="Ojatex@aol.com"
"CONTACTURL"="http://members.aol.com/ojatex/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="These tweaks for Direct Draw courtesy of Axcel216@aol.com. See http://users.aol.com/axcel216/newtip18.htm#DXTWK."


Sub Plugin_Initialize 
 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\DisableInactivate")
 if i=1 then SetUIElement 1,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\ShowFrameRate")
 if i=1 then SetUIElement 2,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\ModeXOnly")
 if i=1 then SetUIElement 3,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\EmulationOnly")
 if i=1 then SetUIElement 4,true

 i=RegReadValue("HKLM\Software\Microsoft\DirectDraw\DisableAGPSupport")
 if i=1 then SetUIElement 5,true
End Sub


Sub Plugin_CheckData(ElementIndex)
End Sub



Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableInactivate","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableInactivate","0",2)
 end if

b=GetUIElement(2)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\ShowFrameRate","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\ShowFrameRate","0",2)
 end if

 b=GetUIElement(3)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\ModeXOnly","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\ModeXOnly","0",2)
 end if

b=GetUIElement(4)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\EmulationOnly","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\EmulationOnly","0",2)
 end if

b=GetUIElement(5)
 if b=true then
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableAGPSupport","1",2)
 else
  Call RegWriteValue("HKLM\Software\Microsoft\DirectDraw\DisableAGPSupport","0",2)
 end if




End Sub


Sub Plugin_Terminate 
End Sub



