"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Appearance\Files&Folders\Files"
"NAME"="Special File Icons"
"VERSION"="2.11"
"LANGUAGE"="VBScript"
"TEXT 1"="TeXHeX rules!!!"
"TEXT 1 COMMENT"="Neil T rules more!!!"
"DESCRIPTION 1"="Enabling the items above will display the icons inside each file rather than using the generic icon that Windows uses by default. This may slow down your computer slightly, and not all files have icons in them, so these will be given the generic Windows 'Unknown File' icon."
"DESCRIPTION 2"="'Display *.BMP files with a mini preview icon' will display a small preview of the bitmap instead of the icon. This might slow down your computer if you are viewing a folder with many images in it!"
"DESCRIPTION 3"="Note: DO NOT activate 'Display BMP files with a mini preview icon' if you are using IE 5 with ActiveDesktop installed. This option *may* crash Windows Explorer in this case."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Neil R. Turner [totalxs@hotmail.com] for adding support for the extra formats."

SUB Plugin_Initialize
' BMP files are a special case, so this has to run on its own.
 Call SetUIElement(1,"Display *.BMP files with a mini preview icon")
 s=RegReadValue("HKCR\Paint.Picture\DefaultIcon\@")
 if s="%1" then SetUIElementEx 1,true

' All other files run through a SUB to make this file smaller.
  Call RunCheck("CPL",2)
  Call RunCheck("DLL",3)
  Call RunCheck("ICO",4)
  Call RunCheck("ICL",5)
  Call RunCheck("NIL",6)
  Call RunCheck("IL",7)
  Call RunCheck("OCX",8)
  Call RunCheck("VBX",9)
  Call RunCheck("DRV",10)
  Call RunCheck("SCR",11)
  Call RunCheck("ANI",12)
  Call RunCheck("CUR",13)
END SUB

SUB RunCheck(EXT,NUMB)
' "Why is this called RunCheck?" - Don't ask me....
 Call SetUIElement(NUMB,"Display *." & EXT & " files as icons")
 s=RegReadValue("HKCR\" & EXT & "file\DefaultIcon\@")
 if s="%1" then
  Call SetUIElementEx(NUMB,true)
 end if
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElementEx(1)
 Call DoChange(b,"HKCR\Paint.Picture\")
 
 b=GetUIElementEx(2)
 Call DoChange(b,"HKCR\cplfile\")
 
 b=GetUIElementEx(3)
 Call DoChange(b,"HKCR\dllfile\")
 
 b=GetUIElementEx(4)
 Call DoChange(b,"HKCR\icofile\")
 
 b=GetUIElementEx(5)
 Call DoChange(b,"HKCR\iclfile\")
 
 b=GetUIElementEx(6)
 Call DoChange(b,"HKCR\nilfile\")
 
 b=GetUIElementEx(7)
 Call DoChange(b,"HKCR\ilfile\")
 
 b=GetUIElementEx(8)
 Call DoChange(b,"HKCR\ocxfile\")
 
 b=GetUIElementEx(9)
 Call DoChange(b,"HKCR\vbxfile\")
 
 b=GetUIElementEx(10)
 Call DoChange(b,"HKCR\drvfile\")
 
 b=GetUIElementEx(11)
 Call DoChange(b,"HKCR\scrfile\")
 
 b=GetUIElementEx(12)
 Call DoChange(b,"HKCR\anifile\")
 
 b=GetUIElementEx(13)
 Call DoChange(b,"HKCR\curfile\")
END SUB

SUB Plugin_Terminate
END SUB

Sub DoChange(Activate, RegPath)
' I've left this as it is since TeXHeX is a much better programmer than me :)
 if Activate=true then
  'save backup
  s=RegReadValue(RegPath & "DefaultIcon\@")

  if s<>"%1" then
   Call RegWriteValue(RegPath & "DefaultIcon\K/oS X-Setup Backup",s,1) ' K/oS??? How old is this???
                                                                       ' We have come a long way baby...

   'apply changes
   Call RegWriteValue(RegPath & "DefaultIcon\@","%1",1)
  end if
 else
  'restore backup
  s=RegReadValue(RegPath & "DefaultIcon\K/oS X-Setup Backup")

  if IsEmpty(s)=false then
   Call RegWriteValue(RegPath & "DefaultIcon\@",s,1)
   'remove backup
   Call RegDeleteValue(RegPath & "DefaultIcon\K/oS X-Setup Backup") 
  else
   'wooops! Something is wrong!
   Call RegWriteValue(RegPath & "DefaultIcon\@","",1)
   'Call MsgError("Error while trying to remove function for <" & RegPath & "> - no backup could be found!")
  end if
 end if

end Sub
