"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="3"
"UIPATH"="Appearance\Interface\Effects"
"NAME"="Font Smoothing/Clear Type"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Do not use font smoothing"
"TEXT 2"="Enable font smoothing"
"TEXT 3"="Enable Clear Type (Windows XP only!)"
"DESCRIPTION 1"="When this option is enabled, the edges of large TrueType fints become anti-aliased. This means that there are no jagged edges to them."
"DESCRIPTION 2"="If you are using Windows XP, you can also enable Clear Type, a "new" Font Smoothing method that works even better than the "normal" Font Smoothing."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Steve Day [steve@steveday.net] for the "font smoothing on NT" bug notice!"

sP1="HKCU\Control Panel\Desktop\FontSmoothing"     'STR!
sP2="HKCU\Control Panel\Desktop\FontSmoothingType" 'DW!
Sub Plugin_Initialize 
 'String
 i=RegReadValue(sP1)

 if GetWinVer=6 then 'XP
    if i=0 then SetUIElement 1,true
    if i=1 then SetUIElement 2,true
    if i=2 then SetUIElement 3,true
 else 'any other OS
    if i=0 then SetUIElement 1,true
    if i=1 or i=2  then SetUIElement 2,true
 end if

End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if GetUIElement(1)=true then
    vVal=0

 elseif GetUIElement(2)=true then
    if GetWinVer=2 then 'NT
       vVal=2
    else 'any other OS
       vVal=1
    end if

 elseif GetUIElement(3)=true then
    'on XP only!
    if GetWinVer=6 then
       vVal=2
    else
       vVal=-1
       Call MsgError("Clear Type can be enabled on Windows XP only, please make a different selection!") 
    end if
 end if


 if vVal>-1 then
    Call RegWriteValue(sP1,vVal,1)
    Call RegWriteValue(sP2,vVal,2)
    Call IniWriteValue("WIN.INI","TrueType","FontSmoothing",vVal)
    Call Restart()
 end if

End Sub


Sub Plugin_Terminate 
End Sub



