"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Internet\Internet Explorer\System"
"NAME"="Clean Up Code Page References"
"VERSION"="1.06"
"LANGUAGE"="VBScript"
"TEXT 1"="Attempt to improve IE performance by cleaning up codepages"
"DESCRIPTION 1"="When you right-click the mouse in Internet Explorer, the program checks its codepage settings in the Registry. If it finds a blank codepage, then it will try to locate a replacement. Doing this wastes a lot of time and processor cycles, so by removing the empty entries, the process can be speeded up."
"DESCRIPTION 2"="This option lets you hide the blank settings, so IE won't try to find replacement codepages. This may greatly improve IE's performance."
"DESCRIPTION 3"="On some machines your codepages may be correctly configured, in which case, using this option won't offer any improvements in performance. The plug-in will report back how many codepages were removed when the options is activated."
"DESCRIPTION 4"="If using this plug-in actually decreases IE's performance, deactivating the option will restore all entries."
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"CONTACTURL"="http://www.neilrt.cwc.net/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to CptSiskoX [CptSiskoX@FlashMail.com] and Axcel216 [AXCEL216@aol.com] for the idea!"

sP="HKLM\System\CurrentControlSet\Control\Nls\Codepage"
sQ="\MIE55SpeedUp"

Sub Plugin_Initialize 
 If RegPathExists(sP) then
  If RegPathExists(sP&sQ)=1 then SetUIElement 1,true
 else
  Disable
 end if
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 f=0
 s=GetUIElement(1)
 if s=true then
  ' We need to enumerate all values, and
  ' if they are blank, get all of their information,
  ' and then create a copy in [sQ]. We then remove
  ' the old values.
  
  ' the following code was taken from XQ IE Outlook Express 7.xpl
  iCount=RegEnumValues(sP)
  For x=1 to iCount
   t=RegEnumElement(x)
   z=RegReadValue(sP & "\" & t)
   if z="" then
    f=f+1
    u=RegValueType(sP & "\" & t)
    v=RegReadValue(sP & "\" & t)
    Call RegWriteValue(sP & sQ & "\" & t,v,u)
    Call RegDeleteValue(sP & "\" & t)
   end if
  Next
  Call MsgInformation("X-Setup found and removed " & f & " invalid codepages.")
 else
  ' we take all values in [sQ] and move them back.
  iCount=RegEnumValues(sP&sQ)
  For x=1 to iCount
   t=RegEnumElement(x)
   z=RegReadValue(sP&sQ & "\" & t)
   u=RegValueType(sP&sQ & "\" & t)
   v=RegReadValue(sP&sQ & "\" & t)
   Call RegWriteValue(sP & "\" & t,v,u)
   Call RegDeleteValue(sP&sQ & "\" & t)
  Next
  if RegPathExists(sP&sQ)=true then
   Call RegDeletePath(sP&sQ)
  end if
 end if
End Sub

Sub Plugin_Terminate 
End Sub
