"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Internet\Internet Explorer\System"
"NAME"="Internet Options dialog restrictions"
"LANGUAGE"="VBScript"
"TEXT 1"="Disable Advanced Tab Changes"
"DESCRIPTION 1"="This plug-in lets you disable any of the options on Internet Explorer's Internet Options dialog. To disable any item, clear the tick beside it; to enable it again, place a tick beside it."
"DESCRIPTION 2"="As a rule, 'Allow' options affect all options on a tab, 'Enable' options only affect certain options on each tab, and 'Show' options hide the tab altogether."
"DESCRIPTION 3"="NOTE: Disabling all of the last six options (the 'show' options) will disable the Internet Options dialog altogether."
"VERSION"="1.07"
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Based on several plug-ins by Ojatex [ojatex@aol.com] and Sbastien Maurice"

'dwrd
sP="HKCU\Software\Policies\Microsoft\Internet Explorer\Control Panel\"
IE="HKLM\Software\Microsoft\Internet Explorer\Version"

SUB Plugin_Initialize
 Call Build_Display(1,"Advanced","Allow changes to Advanced tab")
 Call Build_Display(2,"History","Enable History options [General]")
 Call Build_Display(3,"Cache","Enable Temporary Internet Files Settings button [General]")
 Call Build_Display(4,"Connection Settings","Allow changes to Connection tab")
 Call Build_Display(5,"Certificates","Enable Certificates options [Content]") 
 Call Build_Display(6,"Colors","Enable Foreground/Background Colors options [General]")
 Call Build_Display(7,"Fonts","Enable Fonts options [General]")
 Call Build_Display(8,"Languages","Enable Languages options [General]")
 Call Build_Display(9,"Profiles","Enable Microsoft Profile Assistant button [Content]")
 Call Build_Display(10,"Links","Enable Links Colors options [General]")
 Call Build_Display(11,"HomePage","Enable Home page options [General]")
 Call Build_Display(12,"Ratings","Enable Content Advisor options [Content]")
 Call Build_Display(13,"Check_If_Default","Enable Check If Default Browser option [Programs]")
 Call Build_Display(14,"Proxy","Enable Proxy Server options [Connections]")
 Call Build_Display(15,"Autoconfig","Enable Automatic Connection Configuration options [Connections]") 
 Call Build_Display(16,"Connection Wizard","Enable Internet Connection Wizard button [Connections]")
 Call Build_Display(17,"CalendarContact","Enable Calendar and Contact List options [Programs]")
 Call Build_Display(18,"Messaging","Enable E-mail, Newsgroups and Internet Call options [Programs]")
 if RegReadValue(IE) < "5.5" then
  Call Build_Display(19,"Wallet","Enable Microsoft Wallet button [Content]")
 end if
 Call Build_Display(20,"ResetWebSettings","Enable Reset Web Settings button [Programs]")
 Call Build_Display(21,"AdvancedTab","Show Advanced Tab")
 Call Build_Display(22,"CertifPers","Enable Personal Certificate options [Content]")
 Call Build_Display(23,"CertifSite","Enable Site Certificate options [Content]")
 Call Build_Display(24,"FormSuggest","Enable AutoComplete Form option [Content]")
 Call Build_Display(25,"FormSuggest Passwords","Enable AutoComplete Passwords option [Content]") 
 Call Build_Display(26,"GeneralTab","Show General tab")
 Call Build_Display(27,"SecurityTab","Show Security tab")
 Call Build_Display(28,"ContentTab","Show Content tab")
 Call Build_Display(29,"ConnectionsTab","Show Connections tab")
 Call Build_Display(30,"ProgramsTab","Show Programs tab")
 Call Build_Display(31,"SecChangeSettings","Enable Security Level options [Security]")
 Call Build_Display(32,"SecAddSites","Enable Sites button options [Security]")
 Call Build_Display(33,"Connwiz Admin Lock","Enable Internet Connection Wizard [Connections]")
 Call Build_Display(34,"Settings","Enable Temporary Internet Files options [General]")
 Call Build_Display(35,"Accessibility","Enable Accessibility option [General]")
END SUB

SUB Build_Display(NUMB,VALUE,DESC)
 Call SetUIElement(NUMB,DESC)
 s=RegReadValue(sP&VALUE)
 If IsEmpty(s)=true OR s=0 then
  Call SetUIElementEx(NUMB,true)
 end if
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 Call Apply_Option(1,"Advanced")
 Call Apply_Option(2,"History")
 Call Apply_Option(3,"Cache")
 Call Apply_Option(4,"Connection Settings")
 Call Apply_Option(5,"Certificates") 
 Call Apply_Option(6,"Colors")
 Call Apply_Option(7,"Fonts")
 Call Apply_Option(8,"Languages")
 Call Apply_Option(9,"Profiles")
 Call Apply_Option(10,"Links")
 Call Apply_Option(11,"HomePage")
 Call Apply_Option(12,"Ratings")
 Call Apply_Option(13,"Check_If_Default")
 Call Apply_Option(14,"Proxy")
 Call Apply_Option(15,"Autoconfig") 
 Call Apply_Option(16,"Connection Wizard")
 Call Apply_Option(17,"CalendarContact")
 Call Apply_Option(18,"Messaging")
 Call Apply_Option(19,"Wallet")
 Call Apply_Option(20,"ResetWebSettings")
 Call Apply_Option(21,"AdvancedTab")
 Call Apply_Option(22,"CertifPers")
 Call Apply_Option(23,"CertifSite")
 Call Apply_Option(24,"FormSuggest")
 Call Apply_Option(25,"FormSuggest Passwords") 
 Call Apply_Option(26,"GeneralTab")
 Call Apply_Option(27,"SecurityTab")
 Call Apply_Option(28,"ContentTab")
 Call Apply_Option(29,"ConnectionsTab")
 Call Apply_Option(30,"ProgramsTab")
 Call Apply_Option(31,"SecChangeSettings")
 Call Apply_Option(32,"SecAddSites")
 Call Apply_Option(33,"Connwiz Admin Lock")
 Call Apply_Option(34,"Settings")
 Call Apply_Option(35,"Accessibility")
END SUB

SUB Apply_Option(NUMB,VALUE)
 b=GetUIElementEx(NUMB)
 if b=true then
  s=RegReadValue(sP&VALUE)
  if IsEmpty(s)=false then
   Call RegDeleteValue(sP&VALUE)
  end if
 else
  Call RegWriteValue(sP&VALUE,1,2)
 end if
END SUB

SUB Plugin_Terminate
END SUB
