"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="1"
"COUNT"="1"
"UIPATH"="Network\Server"
"NAME"="IRP Stack Size"
"OSVERSION"="010101"
"WARNING"="1"
"VERSION"="1.10"
"LANGUAGE"="VBScript"
"TEXT 1"="IRP Stack Size"
"DESCRIPTION 1"="If a Windows server returns a message that there is not enough server storage available, the IRP Stack Size can be increased."
"DESCRIPTION 2"="Enter the desired Stack Size; valid values range from 1 to 12."
"DESCRIPTION 3"="Note: Windows NT [SP4 and prior] uses 4 as a default; Windows NT4 [SP5] and Windows 2000 use a *minimum* of 7."
"DESCRIPTION 4"="To restore the default value, clear the field."
"AUTHOR"="Ojatex@aol.com"
"CONTACTURL"="http://members.aol.com/ojatex/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For X-Setup program information, go to http://www.xteq.com"
"COMMENT 2"="Thanks to CptSiskoX for suggested plugin."
"COMMENT 3"="For more information, see 'Changes in IRP Stack Size in Lanman Server' at http://support.microsoft.com/support/kb/articles/Q198/3/86.ASP."

sP="HKLM\System\CurrentControlSet\Services\LanmanServer\Parameters\IRPStackSize "

Sub Plugin_Initialize 
 if GetWinVer=2 or GetWinVer=4 or GetWinVer=6 then
    i=RegReadValue(sP)
    SetUIElement 1,i
 else
    Disable
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)

 if len(i)=0 then
    If RegValueExists(sP) then RegDeleteValue(sP)
 else
    Call RegWriteValue(sP,i,2)
 end if

 Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub
