"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="3"
"COUNT"="1"
"UIPATH 1"="Startup/Shutdown\Startup\Windows 9x/ME\20) Boot Picture"
"NAME"="Boot Picture"
"LANGUAGE"="VBScript"
"VERSION"="2.1"
"OSVERSION"="10101"
"TEXT 1"="Picture 1"
"DATA 1"="Bitmap pictures (*.BMP)|*.bmp|System Files (*.SYS)|*.sys|All Files (*.*)|*.*"
"DESCRIPTION 1"="This plug-in can be used to change the picture that is displayed when starting Windows."
"DESCRIPTION 2"="Note: The picture should be 320x400 pixels with 256 colors. If the image is not in this format, then *no* image will be displayed on startup!"
"DESCRIPTION 3"="If you have changed the picture using X-Setup and want the default picture back, leave the field blank but remember that this will DELETE your current logon picture."
"COMMENT 1"="Bug fixes by Neil Turner (totalxs@hotmail.com)"
"CONTACTURL"="http://www.xteq.com"
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"

'Called when the Plugin is started
SUB Plugin_Initialize
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)>0 then
    Call DoWork("LOGO.SYS","LOGO.XSB",s)
 else
    Call GetFileBack("LOGO.SYS","LOGO.XSB")    
 end if
 
 Call Restart
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB

'User defined SUB's
SUB GetFileBack(FileName,BackupFile)
 s1="C:\" & FileName
 s2="C:\" & BackupFile
 
 
 'if backup exists, execute function
 if FileExists(s2) then
    Call FileSetAttribute(s1,"S-")
    Call FileSetAttribute(s1,"R-")
    Call FileSetAttribute(s1,"H-")
    Call FileDelete(s1)
   
    Call FileCopy(s2,s1)
 
    MsgInformation "Original file restored!"
 else
    MsgError "Backup of original file not found, unable to restore it."
 end if
 
END SUB

SUB DoWork(File1,BackupFile,NewFile)
 s1="C:\" & File1
 s2="C:\" & BackupFile
 s3=NewFile
 s4="C:\msdos.sys"
 
 'if backup exists, delete it
 if FileExists(s2) then
  Call FileSetAttribute(s2,"S-")
  Call FileSetAttribute(s2,"R-")
  Call FileSetAttribute(s2,"H-")
  Call FileDelete(s2)
 end if
 
 'make backup of current file
 if FileExists(s1) then
  Call FileSetAttribute(s2,"S-")
  Call FileSetAttribute(s2,"R-")
  Call FileSetAttribute(s2,"H-")
  Call FileCopy(s1,s2)
  Call FileDelete(s1)
 end if
 
 'now copy new file to old file
 Call FileCopy(s3,s1)
 Call MsgInformation("The new logo has been set.")
 
 'Neil Turner's additions....
 'fix msdos.sys so that logo will appear...
 
 if FileExists(s4) then
  Call FileSetAttribute(s4,"S-")
  Call FileSetAttribute(s4,"R-")
  Call FileSetAttribute(s4,"H-")
  Call IniWriteValue(s4,"Options","Logo","1") 
  Call FileSetAttribute(s4,"S+")
  Call FileSetAttribute(s4,"R+")
  Call FileSetAttribute(s4,"H+")
 end if
END SUB
