"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH 1"="System\Timeouts"
"UIPATH 2"="System\Security\Common"
"NAME"="Low Level Hook Timeout"
"VERSION"="1.12"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="Timeout (ms)"
"DESCRIPTION 1"="Certain programs install a "hard interceptor" also known as "Low Level Hook", which initiates if the user doesn't take any action."
"DESCRIPTION 2"="Windows activates such programs before Windows itself tries to dispatch an error message, so if the program owning the hook crashes, system stability is at risk or Windows may lock up."
"DESCRIPTION 3"="To correct this, you can set a Low Level Hook timeout (measured in milliseconds). A program which does not return control to Windows before the timeout expires is terminated."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Added OS detection: works only in WinNT and Win2000. Updated description."
"COMMENT 2"="More info @ MSDN: http://msdn.microsoft.com/library/psdk/winbase/hooks_6fc3.htm"
"COMMENT 3"="More info @ MSDN: http://msdn.microsoft.com/library/periodic/period00/win320700.htm"

sP="HKCU\Control Panel\Desktop\LowLevelHooksTimeout"
Sub Plugin_Initialize 
 i=RegReadValue(sp)
 if IsEmpty(i)=false then
    SetUIElement 1,i
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 If Len(s)<=0 then
    if RegValueExists(sP) then
       RegDeleteValue(sP) 
    end if
 else
    Call RegWriteValue(sp,s,1)
 end if
End Sub

Sub Plugin_Terminate 
End Sub
