"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH 1"="Startup/Shutdown\Startup\Windows 9x/ME\10) Boot Menu"
"NAME"="General Options"
"VERSION"="1.65"
"OSVERSION"="10101"
"LANGUAGE"="VBScript"
"TEXT 1"="Start Windows interface (GUI) automatically"
"TEXT 2"="Display Windows Logo (C:\LOGO.SYS) while booting"
"TEXT 3"="Enable F4, F5, F6, F8 and Shift keys while booting"
"TEXT 4"="Display Windows 95/OSR2/98 Startup Menu options"
"TEXT 5"="Display warning before using "Safe Mode" option"
"DESCRIPTION 1"="Change these options to control the way Windows 95/OSR2/98/ME boots up."
"DESCRIPTION 2"="NOTE: Microsoft REMOVED the display of the Startup Menu from Windows Millennium Edition (ME), but most of the boot options are still available via "hot key combos":"
"DESCRIPTION 3"="- F4 = Previous version of MS-DOS (from 6.00 up to 6.22, or 3rd party DOS OS, if any)."
"DESCRIPTION 4"="- F5 = Safe mode without Network/TCP/IP support, bypassing CONFIG.SYS and AUTOEXEC.BAT entirely (if any)."
"DESCRIPTION 5"="- F6 = Safe mode with Network/TCP/IP support (ONLY if "Network=1" present under the MSDOS.SYS [Options] section), bypassing CONFIG.SYS entirely (if any)."
"DESCRIPTION 6"="- F8 = Logged mode (BOOTLOG.TXT is created in the root directory of the boot drive, usually C:\)."
"DESCRIPTION 7"="- Shift + F5 = Safe mode command prompt only (native/real/true MS-DOS mode with NO devices/drivers/TSRs loaded in memory). CONFIG.SYS and AUTOEXEC.BAT are bypassed (if any)."
"DESCRIPTION 8"="- Shift + F8 = Step-by-step confirmation of ALL CONFIG.SYS and AUTOEXEC.BAT lines (if any)."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to AXCEL216 [http://members.aol.com/axcel216/] for all this stuff!"
"COMMENT 2"="Thanks to Joseph B. Calderone [mailto:joe935@cablenet-va.com] for bug notices!"

'Declaration of some constants
sF="C:\MSDOS.SYS"
sO="Options"

'Called when the Plugin is started
Sub Plugin_Initialize
  Call FileSetAttribute(sf,"H-")
  Call FileSetAttribute(sf,"R-")
  Call FileSetAttribute(sf,"S-")

  i=IniReadValue(sf,so,"BootGUI")
  if i=1 then SetUIElement 1,true

  i=IniReadValue(sf,so,"Logo")
  if i=1 then SetUiElement 2,true
  if IsEmpty(i) then SetUiElement 2,true 'if not present, Windows default is true

  i=IniReadValue(sf,so,"BootKeys")
  if i=1 then SetUiElement 3,true
  if IsEmpty(i) then SetUiElement 3,true 'if not present, Windows default is true

  i=IniReadValue(sf,so,"BootMenu")
  if i=1 then SetUiElement 4,true

  i=IniReadValue(sf,so,"BootWarn")
  if i=1 then SetUiElement 5,true
End Sub

'Called when the Plugin should validate the Data the user has entered
Sub Plugin_CheckData(ElementIndex)
End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)

 b=GetUIElement(1)
 if b=true then
  Call IniWriteValue(sf,so,"BootGUI",1)
 else
  Call IniWriteValue(sf,so,"BootGUI",0)
 end if

 b=GetUIElement(2)
 if b=true then
  Call IniWriteValue(sf,so,"Logo",1)
 else
  Call IniWriteValue(sf,so,"Logo",0)
 end if

 'if BootMenu = true, then BootKeys must be true also!
 b=GetUIElement(4)
 if b=true then
    Call IniWriteValue(sf,so,"BootMenu",1)
    Call SetUIElement(3,true)
 else
    Call IniWriteValue(sf,so,"BootMenu",0)
 end if


 b=GetUIElement(3)
 if b=true then
  Call IniWriteValue(sf,so,"BootKeys",1)
 else
  Call IniWriteValue(sf,so,"BootKeys",0)
 end if


 b=GetUIElement(5)
 if b=true then
  Call IniWriteValue(sf,so,"BootWarn",1)
 else
  Call IniWriteValue(sf,so,"BootWarn",0)
 end if

 Restart
End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
 Call FileSetAttribute(sf,"H+")
 Call FileSetAttribute(sf,"R+")
 Call FileSetAttribute(sf,"S+")
End Sub
