"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH 1"="System\Software Installation\Windows Installer"
"UIPATH 2"="System\Debugging"
"NAME"="MSI Logging Options"
"VERSION"="2.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Log all errors"
"TEXT 2"="Log out-of-memory errors"
"TEXT 3"="Log all warnings (not fatal)"
"TEXT 4"="Log user requests"
"TEXT 5"="Log when starting commands"
"DESCRIPTION 1"="By default, the setup process for an application determines whether the process maintains a log for itself.  This option allows you to enable the logging for the setup of an applications, regardless of this default."
"DESCRIPTION 2"="If at least one option is turned on, a logfile for every installation will be created in your TEMP directory in the form "MSI*.LOG" where "*" is a randomly generated name."
"DESCRIPTION 3"="To disable logging for all applications again, clear all fields."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="By default, every application sets itself if the setup should be logged or not. By setting an option here, you can enable the logging for all setups regardless if it's activated by the application or not."
"COMMENT 3"="Thanks to Umesh Reghuram for his suggestions!"


sPathSys="HKLM\Software\Policies\Microsoft\Windows\Installer\"
sPathUsr="HKCU\Software\Policies\Microsoft\Windows\Installer\"

sV1="Logging" 'STR - sys
Sub Plugin_Initialize 
 s=RegReadValue(sPathSys & sV1)

 if InStr(1,s,"e")>0 then setuielement 1,true
 if InStr(1,s,"m")>0 then setuielement 2,true
 if InStr(1,s,"w")>0 then setuielement 3,true
 if InStr(1,s,"u")>0 then setuielement 4,true
 if InStr(1,s,"a")>0 then setuielement 5,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=""

 if GetUIElement(1)=true then s=s & "e"
 if GetUIElement(2)=true then s=s & "m"
 if GetUIElement(3)=true then s=s & "w"
 if GetUIElement(4)=true then s=s & "u"
 if GetUIElement(5)=true then s=s & "a"

 if len(s)>0 then
    'Enable logging
    Call RegWriteValue(sPathSys & sV1,s,1)
 else
    'Disable logging
    s=RegReadValue(sPathSys & sV1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(sPathSys & sV1)
    end if
 end if
 
End Sub

Sub Plugin_Terminate 
End Sub
