"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Program Options\Microsoft Office\MS Office 2000\Common"
"NAME"="FindFast Delay"
"VERSION"="1.05"
"LANGUAGE"="VBScript"
"TEXT 1"="Delay (sec):"
"DESCRIPTION 1"="This plug-in allows you to change the interval how long FindFast should wait between each file to be indexed."
"DESCRIPTION 2"="For example, if you enter "1", FindFast will wait 1 seconds between each document (slow system performance but fast indexing)."
"DESCRIPTION 3"="If you enter the maximum of "10", FindFast will wait 10 seconds between each document (good system performance but slow indexing).
"DESCRIPTION 4"="To restore the original value, clear the field."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to CptSiskoX for his help!"


sV1="HKLM\Software\Microsoft\Office\9.0\Find Fast\SlowDown" 'DW
sPCheck="HKCU\Software\Microsoft\Office\9.0\"
Sub Plugin_Initialize 
if RegPathExists(sPCheck) then
   s=RegReadValue(sV1)
   
   If IsEmpty(s)=false then
      If IsNumeric(s) then
         l=s/1000
         Call SetUIElement(1,l)
      end if
   end if

   
else
 Call Disable()
end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)>0 then
    l=s*1000
  
    if l<1000 or l>10000 then
       MsgError "Please enter a value between 1 and 10."
    else
       Call RegWriteValue(sV1,l,2)
       Call Restart()
    end if
 else
    s=RegReadValue(sV1)
    if IsEmpty(s)=false then
       Call RegDeleteValue(sV1)
       Call Restart()
    end if
 end if

End Sub


Sub Plugin_Terminate 
End Sub



