"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH"="Program Options\Microsoft Office\MS Office 2000\Outlook"
"NAME"="Email Files Security"
"VERSION"="1.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Add..."
"TEXT 2"="Remove selection"
"DESCRIPTION 1"="Beginning with Outlook 2000 SR1, Outlooks uses a very strict file type security management. This means, you can not access some files from an email at all (so called "Level 1" files, sometimes also called "blocked files") and some can only be saved to disk but not started ("Level 2" files)."
"DESCRIPTION 2"="For example, EXE files are by default Level 1 files which means you can not start them or save them. Outlook simple blocks them and there is no chance to access them."
"DESCRIPTION 3"="With this setting, you can "Downgrade" some of those Level 1 files (no access to all) to Level 2 files (you can save them to disk)."
"DESCRIPTION 4"="Simply click "Add" and enter the extension you do not have access to (e.g. "EXE") so you can save them to disk from a email."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="See also MS KB Article ID: Q259228"


sPCheck="HKLM\Software\Microsoft\Office\9.0\"
     sV="HKCU\Software\Microsoft\Office\9.0\Outlook\Security\RemoveWarningFileTypes"
    sV2="HKCU\Software\Microsoft\Office\9.0\Outlook\Security\AddWarningFileTypes"

iCount=0

Sub Plugin_Initialize 
if RegPathExists(sPCheck) then
   Call InitListbox
else
   Call Disable()
end if
End Sub




Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 if ElementIndex=1 then 'ADD
    s=InputWindow("Please enter the extension to unblock, e.g. <EXE>","",1)
    if IsEmpty(s)=false then
       if Len(s)>0 then
          iCount=iCount+1
          Call SetUIElement(iCount,s)
          Call WriteRegistry()
          Call InitListbox()              
       end if
    end if

 elseif ElementIndex=2 then 'REMOVE
   if ElementSubIndex=0 then
      Call MsgError("Please select an extension to remove")
   else
      Call SetUIElement(ElementSubIndex,"")
      iCount=iCount-1

      Call WriteRegistry()
      Call InitListbox()
   end if
 end if


' Call Logoff()
End Sub


Sub InitListbox
 for i=1 to iCount
     Call SetUIElement(i,"")
 next

 iCount=0

 s=RegReadValue(sV)
 if IsEmpty(s)=false then
    'Dim ary()
    ary=Split(s,";")

    for l=lBound(ary) to ubound(ary)
        s=ary(l)
        s=lcase(s)
        if len(s)>0 then
           sDesc=GetFileDescription("." & s)

           iCount=iCount+1
           Call SetUIElement(iCount,s & " (" & sDesc & ")")
        end if
    next
 end if

end sub


Sub WriteRegistry
 s=""
 for i=1 to iCount
     s2=GetUIElement(i)
     iPos=InStr(s2," ")
     if iPos>0 then
        s2=Left(s2,iPos-1)
        s2=LCase(s2)
     end if
 
     if len(s2)>0 then
        s=s & UCASE(s2) & ";"
     end if
 next

 Call RegWriteValue(sV,s,1)


 'Outlook 2000 needs both entires to work properly!
 if RegValueExists(sV2)=false then
    Call RegWriteValue(sV2,"",1)
 end if
End Sub


Sub Plugin_Terminate 
End Sub




'VERSION 1.1
'returns the readable description for a file TYPE. Input is the
'raw file type (e.g. ".TXT"). 
Function GetFileDescription(DotType)
  sxd_BasePath="HKLM\Software\Classes\"

  sxd_Path=sxd_BasePath & DotType & "\@"
  sxd_Val=RegReadValue(sxd_Path)

  if IsEmpty(sxd_Val)=true then
     'extended description not found! return default
     GetFileDescription="<UNKNOWN>"
  else
     'found, now get the "real" description
     sxd_Path=sxd_BasePath & sxd_Val & "\@"
     sxd_Name=RegReadValue(sxd_Path)
     
     if IsEmpty(sxd_Name)=true then
        'argh! 
        GetFileDescription="<UNKNOWN>"
     else
        GetFileDescription=sxd_Name
     end if
  end if

End Function