"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="2"
"UIPATH"="Program Options\Other Programs\McAfee VirusScan"
"NAME"="Show Splash Screen"
"LANGUAGE"="VBScript"
"TEXT 1"="Display VShield splash screen"
"TEXT 2"="Display VirusScan splash screen"
"DESCRIPTION 1"="These options let you configure which splash screens are shown by McAfee VirusScan."
"DESCRIPTION 2"="The VShield splash screen appears when you start your computer (if you have VShield loaded) and the VirusScan splah screen appears when you do a routine scan of your computer."
"DESCRIPTION 3"="Note: When you install DAT or Engine updates, these may reset the splash screens so that they appear again."
"COMMENT 1"="Taken from http://pages.zdnet.com/hampsi/Articles/splash.htm courtesy of the Lockergnome Newsgroups."
"VERSION"="1.0"
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"

'Declaration of some constants
sP="HKLM\Software\McAfee\Scan95\"
sV2="DefaultVSC"
sV1="DefaultVSH"
sN2="bSkipSplash"
sN1="bNoSplash"

'Called when the Plugin is started
SUB Plugin_Initialize
 s=RegReadValue(sP&sV1)
 if IsEmpty(s)=false then
  t=IniReadValue(s,"General",sN1)
  if t="0" then
   Call SetUIElement(1,true)
  end if
 else
  Call Disable()
 end if
 
 s=RegReadValue(sP&sV2)
 if IsEmpty(s)=false then
  t=IniReadValue(s,"ScanOptions",sN2)
  if t="0" then
   Call SetUIElement(2,true)
  end if
 else
  Call Disable()
 end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 v=RegReadValue(sP&sV1)
 if s=true then
  Call IniWriteValue(v,"General",sN1,"0")
 else
  Call IniWriteValue(v,"General",sN1,"1")
 end if
 
 s=GetUIElement(2)
 v=RegReadValue(sP&sV2)
 if s=true then
  Call IniWriteValue(v,"ScanOptions",sN2,"0")
 else
  Call IniWriteValue(v,"ScanOptions",sN2,"1")
 end if
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
