"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Hardware\Modem"
"NAME"="Modem Speed"
"LANGUAGE"="VBScript"
"TEXT 1"="Allow for speeds up to 921600bps for 56k modems"
"DESCRIPTION 1"="WARNING: Using a high maximum speed may adversely affect your modem's performance. While in most cases you can experiment with different speeds, there is a possibility that you could damage your modem. You have been warned!"
"DESCRIPTION 2"="If you take a look at your modem properties in Control Panel (Open the Modem applet, click on your modem, choose Properties and then click on the General Tab), you'll see that your modem has a maximum speed of 115200bps, or lower."
"DESCRIPTION 3"="If you have a UART-compatible 56k modem, then you can increase this speed up to a maximum of 921600bps (900Kbps). The plug-in won't change the speed automatically, it will simply allow you to set it to a faster level using the Modem control panel applet."
"DESCRIPTION 4"="De-activating the option should restore your modem's settings to their original state should you have problems."
"DESCRIPTION 5"="NOTE: This plug-in will alter the maximum speed value for the first modem it finds - if you have more than one modem, please see the "Faster 56k Modem" topic at http://user.aol.com/axcel216/reg.htm for more information."
"COMMENT 1"="Thanks to Axcel216 [axcel216@aol.com] for this tip!"
"VERSION"="1.01"
"WARNING"="Increasing the maximum speed of your modem, particularly if it is an older modem, may cause serious problems. Only change this option if you are really sure you want to do so."
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"CONTACTURL"="http://www.neilrt.cwc.net/"

sP="HKLM\System\CurrentControlSet\Services\Class\Modem\0000\"
sV="80010000ff000000ff000000070000000f0000007707000000100E0000FA0000"

SUB Plugin_Initialize
 s=RegReadValue(sP&"OldProperties")
 if IsEmpty(s)=false then
  Call SetUIElement(1,true)
 end if
END SUB

SUB Plugin_CheckData(ElementIndex)
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if s=true then
  i=RegReadValue(sP&"Properties")
  if i<>sV then
   Call RegWriteValue(sP&"OldProperties",i,3)
   Call RegWriteValue(sP&"Properties",sV,3) 
  end if
 else
  i=RegReadValue(sP&"OldProperties")
  if IsEmpty(i)=false then
   Call RegWriteValue(sP&"Properties",i,3)
   Call RegDeleteValue(sP&"OldProperties")
  end if
 end if
END SUB

SUB Plugin_Terminate
END SUB
