"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Hardware\Mouse\Logitech"
"NAME"="Logitech Options"
"LANGUAGE"="VBScript"
"TEXT 1"="Use middle mouse-button as double-click"
"TEXT 2"="Enable Logitech Control Panel Extensions"
"TEXT 3"="Improve wheel mouse compatibility with games"
"DESCRIPTION 1"="If the middle mouse-button is currently unused, you can use it as a shortcut to a double-click."
"DESCRIPTION 2"="Note that this plug-in will be usable only if you are using a Logitech mouse and the drivers are correctly installed."
"DESCRIPTION 3"="If you have Logitech's MouseWare drivers (version 8.0 or better), then you may notice some extra pages in the Mouse Control panel. To remove these, clear the second box."
"DESCRIPTION 4"="If you are having trouble using your Logitech Wheel Mouse with some games, put a tick in this box. For more information about this, see ftp://ftp.logitech.com/pub/techsupport/mouse/game_whl.txt"
"COMMENT 1"="Thanks to Neil R. Turner (totalxs@hotmail.com) for the Control Panel Extensions option!"
"COMMENT 2"="Thanks to Xeno (xeno100@crosswinds.net) for the Wheel Mouse Compatibility option!"
"VERSION"="1.32"
"AUTHOR"="Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"CONTACTURL"="http://www.xteq.com/"
"OSVERSION"="11111"

'Declaration of some constants
sP="HKLM\Software\Logitech\Mouseware\CurrentVersion\"
sR="Global\ActiveMouse"
sV=""
sV2="\0000\DoubleClick"
sQ="HKLM\Software\Microsoft\Windows\CurrentVersion\Controls Folder\Mouse\shellex\PropertySheetHandlers\Logitech\@"
sT="HKEY_LOCAL_MACHINE\Software\Logitech\MouseWare\CurrentVersion\Technical\MouseHookDllEnable"

'Called when the Plugin is started
SUB Plugin_Initialize
 
 If RegPathExists(sp) then
  sV=RegReadValue(sp&sr)
  if len(sv)<=0 then
   Disable
  else
   i=RegReadValue(sp&sv&sv2)
   if i="001" then SetUIElement 1,true
  end if 
 else
  Disable
 end if
 
 g=RegReadValue(sQ)
 if g="{B9B0FDA0-3192-106A-A342-008048808AB0}" then
  Call SetUIElement(2,true)
 end if
 
 g=RegReadValue(sT)
 if g=0 then
  Call SetUIElement(3,true)
 end if
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
  Call RegWriteValue(sp&sv&sv2,"001",1)
 else
  Call RegWriteValue(sp&sv&sv2,"000",1)
 end if
 
 b=GetUIElement(2)
 if b=true then
  Call RegWriteValue(sQ,"{B9B0FDA0-3192-106A-A342-008048808AB0}",1)
 else
  t=RegValueExists(sQ)
  If t=true then
   Call RegDeleteValue(sQ)
  end if
 end if
 
 b=GetUIElement(3)
 if b=true then
  Call RegWriteValue(sT,"0",1)
 else
  Call RegWriteValue(sT,"1",1)
 end if
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
