"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH 1"="Startup/Shutdown\Startup\Windows NT/2K/XP\32) After Login Window"
"NAME"="Login Options"
"VERSION"="2.01"
"LANGUAGE"="VBScript"
"TEXT 1"="Run logon scripts synchronized"
"TEXT 2"="Restore network connections on startup"
"TEXT 3"="Enable "SHIFT key ignore" during startup"
"TEXT 4"="Keep cached roaming profiles" 
"DESCRIPTION 1"="Activate "Run logon scripts synchronized" if the Explorer shouldn't start until the logon script is finished (default: Deactivated)."
"DESCRIPTION 2"="Activate "Restore network connections on startup" to allow Windows NT to restore all previous made network connections on startup (that is, Windows NT starts EXPLORER.EXE). If this option is turned off, Windows will not restore the connections which speeds up startup. The network drives are then re-connected on first access."
"DESCRIPTION 3"="If you hold down the shift key during startup, any programs in the startup folders will not run. Disabling the third option will prevent this." 
"DESCRIPTION 4"="If "Keep cached roaming profiles" is activated, Windows NT will keep a local copy (=cached) copy of the profile a user has received from a server. This prevents downloading all needed files every time a user loges on but it also consumes disk space. If disabled, Windows is forced to delete the cached copy as soon as another user with a romaing profile logs on."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "





sP="HKLM\Software\Microsoft\Windows NT\CurrentVersion\WinLogon\"
sV3="RunLogonScriptSync"

sP_GC="HKLM\System\CurrentControlSet\Control\NetworkProvider\"
sV_GC="RestoreConnection"

sV4="HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\IgnoreShiftOveride" 'DW, 1=on

sV5="HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\DeleteRoamingCache" 'DW, 1=on=delete



Sub Plugin_Initialize 
 if RegPathExists(sp) then
  i=RegReadValue(sp & sv3)
  if i=1 then SetUIElement 1,true

  i=RegReadValue(sp_gc & sv_gc)
  if i=1 then SetUIElement 2,true
  
  i=RegReadValue(sV4)
  if i=0 or IsEmpty(i) then SetUIElement 3,true

  i=RegReadValue(sV5)
  if i=0 or IsEmpty(i) then SetUIElement 4,true


 else
  Disable
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue(sp & sv3,"1",1)
 else
    Call RegWriteValue(sp & sv3,"0",1)
 end if

 b=GetUIElement(2)
 if b=true then
    Call RegWriteValue(sp_gc & sv_gc,"1",2)
 else
    Call RegWriteValue(sp_gc & sv_gc,"0",2)
 end if

 b=GetUIElement(3)
 if b=true then
    Call RegWriteValue(sv4,"0",2)
 else
    Call RegWriteValue(sV4,"1",2)
 end if

 b=GetUIElement(4)
 if b=true then
    Call RegWriteValue(sv5,"0",2)
 else
    Call RegWriteValue(sV5,"1",2)
 end if

End Sub

Sub Plugin_Terminate 
End Sub



