"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Program Options\Built in Windows Apps\Windows Registry Checker"
"NAME"="Registry Checker Options"
"LANGUAGE"="VBScript"
"TEXT 1"="Run Registry Checker every time Windows boots"
"TEXT 2"="Allow creation of new backups"
"TEXT 3"="Allow optimization of the registry"
"DESCRIPTION 1"="In Windows 98 and Me, Microsoft included the Windows Registry Checker, a program which scanned the registry, to check for errors, and to create a backup."
"DESCRIPTION 2"="Option #1: By default, Registry Checker runs in the background when you boot into Windows, and then performs its necessary tasks before closing (so it doesn't stay resident and consume resources). If you are sure you don't want Registry Checker running everytime you boot, clear this box, but it is *strongly* recommended you keep this enabled."
"DESCRIPTION 3"="Option #2: The first time you run Registry Checker each day, it creates a backup of your registry, as well as SYSTEM.INI and WIN.INI, and these backups are stored in your C:\WINDOWS\SYSBCKUP folder (by default). If you don't want a backup creating each day, then clear this box, but remember that you are taking a big risk by not having a recent backup of your computer's registry."
"DESCRIPTION 4"="Option #3: Having this option enabled will let Registry Checker optimize your registry, making it more efficient. It is recommended that you enable this option, unless it makes your computer take a long time to load."
"COMMENT 1"="Thanks to Axcel216 [axcel216@aol.com] for the Registry Checker tips!"
"VERSION"="1.21"
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"CONTACURL"="http://www.neilrt.cwc.net/"
"OSVERSION"="001010"

w=GetWinDir
sF="scanreg.ini"
sP="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run\ScanRegistry"

SUB Plugin_Initialize
 Call TxTOpen(w & sF)
 
 s=RegReadValue(sP)
 if IsEmpty(s)=false then
  Call SetUIElement(1,true)
 end if
 
 i=TxtFindLine("Backup=",false)
 if i>0 then
  s=TxtGetLine(i)
  if s="Backup=1" then
   Call SetUIElement(2,true)
  end if
 end if
 
 i=TxtFindLine("Optimize=",false)
 if i>0 then
  s=TxTGetLine(i)
  if s="Optimize=1" then
   Call SetUIElement(3,true)
  end if
 end if
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if s=true then
  Call RegWriteValue(sP,w & "Scanregw.exe /autorun",1)
 else
  Call RegDeleteValue(sP)
 end if
 
 s=GetUIElement(2)
 if s=true then
  i=TxtFindLine("Backup=",false)
   Call TxtSetLine(i,"Backup=1")
 else
  i=TxtFindLine("Backup=",false)
  Call TxtSetLine(i,"Backup=0")
 end if
 
 s=GetUIElement(3)
 if s=true then
  i=TxtFindLine("Optimize=",false)
  Call TxtSetLine(i,"Optimize=1")
 else
  i=TxtFindLine("Optimize=",false)
  Call TxtSetLine(i,"Optimize=0")
 end if
 
 Call FileBackup(w & sF)
 Call TxtSave()
END SUB

SUB Plugin_Terminate
 Call TxtClose()
END SUB
