"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Appearance\Interface\Icons"
"NAME"="Icon Cache Size"
"VERSION"="1.40"
"LANGUAGE"="VBScript"
"TEXT 1"="Cache Size"
"DESCRIPTION 1"="Every icon accessed by Windows is cached in the file 'ShellIconCache'. If this file exists, Windows reads the icons from the cache instead of searching for the actual files, which speeds up access time significantly, especially at bootup."
"DESCRIPTION 2"="In certain cases a (too) small cache size leads to an incorrect display of some icons."
"DESCRIPTION 3"="This setting specifies how many icons should be cached, the default value (also the minimum) is 500 icons, and theoretical maximum is 2000, but on some systems it is possible to increase this number up to 8000."
"DESCRIPTION 4"="You need to restart your computer if you change this setting, and sometimes more than once, until the new icon cache 'catches on'. :("
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to Siegfried Burgstedt for his fix!"
"COMMENT 3"="Thanks to CptSiskoX for his help!"


sP="HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Max Cached Icons"
Sub Plugin_Initialize 
 i=RegReadValue(sP)
 if IsEmpty(i) then
  SetUIElement 1,500 
 else
  SetUIElement 1,i
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)

 if len(i)=0 or IsNumeric(i)=false then
  Call MsgError("Unable to update setting - please enter a value between 500 and 8000!")
 else
  Call RegWriteValue(sP,i,1)
  Restart
 end if
End Sub

Sub Plugin_Terminate 
End Sub
