"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="Appearance\Files&Folders\Shortcuts"
"NAME"="Shortcut Arrow"
"VERSION"="1.32"
"LANGUAGE"="VBScript"
"WARNING"="1"
"TEXT 1"="Display arrow on shortcuts (*.lnk)"
"TEXT 2"="Display arrow on DOS-shortcuts (*.pif)"
"TEXT 3"="Display arrow on Internet shortcuts (*.url)"
"DESCRIPTION 1"="To display the white arrow in the left corner of a shortcut, activate or deactivate the option your are interessted in."
"DESCRIPTION 2"="Note #1: Deactivating the arrow for *.LNK files will also disable any shortcut key defined for your shortcuts!"
"DESCRIPTION 3"="Note #2: Deactivating the arrow for *.URL files will also cause the Start -> Favorites menu to be empty."
"DESCRIPTION 4"="Note #3: Please note that in some cases deactivating the arrow for *.LNK files might light to duplicate itmes in the Explorer Context menu."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Internet Shortcut support added by Pierre Szwarc [szwarc@usa.net]"



Sub Plugin_Initialize 
 s=RegReadValue("HKCR\Lnkfile\IsShortcut")
 if IsEmpty(s)=false then
    SetUIElement 1,true
 end if

 s=RegReadValue("HKCR\piffile\IsShortcut")
 if IsEmpty(s)=false then
    SetUIElement 2,true
 end if

 s=RegReadValue("HKCR\InternetShortcut\IsShortcut")
 if IsEmpty(s)=false then
    SetUIElement 3,true
 end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue("HKCR\Lnkfile\IsShortcut","",1)
 else
    s=RegReadValue("HKCR\Lnkfile\IsShortcut")
    if IsEmpty(s)=false then
       Call RegDeleteValue("HKCR\Lnkfile\IsShortcut")
    end if
 end if

 b=GetUIElement(2)
 if b=true then
    Call RegWriteValue("HKCR\piffile\IsShortcut","",1)
 else
    s=RegReadValue("HKCR\piffile\IsShortcut")
    if IsEmpty(s)=false then
       Call RegDeleteValue("HKCR\piffile\IsShortcut")
    end if
 end if

 b=GetUIElement(3)
 if b=true then
    Call RegWriteValue("HKCR\InternetShortcut\IsShortcut","",1)
 else
    s=RegReadValue("HKCR\InternetShortcut\IsShortcut")
    if IsEmpty(s)=false then
       Call RegDeleteValue("HKCR\InternetShortcut\IsShortcut")
    end if
 end if

 Restart
End Sub


Sub Plugin_Terminate 
End Sub



