"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Appearance\Desktop\Icons\Visible Icons"
"NAME"="Internet Explorer Main Icon"
"LANGUAGE"="VBScript"
"TEXT 1"="Show "Internet Explorer" Icon on Desktop"
"DESCRIPTION 1"="If you want to have the Internet Explorer icon on your Desktop, place a tick in the box above."
"DESCRIPTION 2"="In order to activate the changes, it may be necessary to refresh the Desktop or to press the F5 Key."
"DESCRIPTION 3"="Note: Showing the icon in Internet Explorer 4.x or 5.0x only effects the current user, whereas showing the icon in Internet Explorer 2.x, 3.x and 5.5x affects all users of this machine."
"COMMENT 1"="Thanks to TeXHeX [TeXHeX@xteq.com] for some of the code."
"VERSION"="3.19"
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"CONTACTURL"="http://www.neilrt.cwc.net/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"

sIEV="HKLM\Software\Microsoft\Internet Explorer\Version"
sIE2="HKLM\Software\Microsoft\Windows\CurrentVersion\Explorer\Desktop\NameSpace\{FBF23B42-E3F0-101B-8488-00AA003E56F8}"
sIE4="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoInternetIcon"
sIE5="HKCR\CLSID\{871C5380-42A0-1069-A2EA-08002B30309D}\ShellFolder\Attributes"

SUB Plugin_Initialize
' Step 1: What version of IE are we using? Let's find out...
 s=RegReadValue(sIEV)

' Step 2: Disable if it is IE1
 if s<"2" then
  Call Disable()
 end if

' Step 3:
' This has been removed since it actually works under IE6 (!)

' Step 4: Read Values
 f=RegPathExists(sIE2)
 if f=true then
  Call SetUIElement(1,true)
 end if

 i=RegReadValue(sIE4)
 if IsEmpty(i) or i="00000000" then
  Call SetUIElement(1,true)
 end if
 
 i=RegReadValue(sIE5)
 if i="36" then
  Call SetUIElement(1,true)
 end if
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 ' Firstly, we need to make sure that the user can actually SEE the icon...
 Call RegWriteValue("HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\NoInternetIcon",0,2)
 
 s=RegReadValue(sIEV)
 if s<"4" then
  b=GetUIElement(1)
  ' Sorry TeX - I've stolen your code here...
  if b=true then
   Call RegWriteValue(sIE2 & "\@","",1)
  else
   if RegPathExists(sIE2) then
    if RegValueExists(s & "\Removal Message") then
     Call RegDeleteValue(s & "\Removal Message")
    end if 
    'finally delete the path 
    Call RegDeletePath(s)
   end if
  end if
 end if
 
 if s<"5.5" then
  b=GetUIElement(1)
  if b=true then
   Call RegWriteValue(sIE4,"00000000",3)
  else
   Call RegWriteValue(sIE4,"01000000",3)  
  end if
 end if
 
 if s>"5.5" then
  b=GetUIElement(1)
  if b=true then
   Call RegWriteValue(sIE5,"36",2)
  else
   Call RegWriteValue(sIE5,"1048612",2)  
  end if
 end if
 
 Call IndicateSettingChange()
END SUB

SUB Plugin_Terminate
END SUB
