"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="6"
"COUNT"="5"
"UIPATH"="Appearance\Start menu\Visible Items"
"NAME"="Visible Items in Start->Settings"
"VERSION"="1.33"
"LANGUAGE"="VBScript"
"TEXT 1"="Show Control Panel and Printers"
"TEXT 2"="Show "Folder options" item"
"TEXT 3"="Show "Taskbar options" item"
"TEXT 4"="Show "ActiveDesktop options" item"
"TEXT 5"="Show "Windows Update" item
"DESCRIPTION 1"="This plug-in allows you to change which items are displayed in Start -> Settings."
"DESCRIPTION 2"="NOTE #1: Disabling "Control Panel and Printers" will also disable WINDOWS+E to start the Explorer."
"DESCRIPTION 3"="NOTE #2: Disabling "Folder options" will also disable "View" -> "Folder Options" inside the Explorer."
"DESCRIPTION 4"="NOTE #3: Disabling "Windows Update" will also disable Windows Update if you try to run it from the command line."
"DESCRIPTION 5"="NOTE #4: Disabling all 5 options hides "Settings" menu inside Start Menu."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to Ray Li (rayli@email.com) for spotting the WINDOWS+E effect."


sP="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"
sV1="NoSetFolders" 'DW
sV2="NoFolderOptions" 'DW
sV3="NoSetTaskbar" 'DW
sV4="NoSetActiveDesktop" 'DW
sV5="NoWindowsUpdate"

SUB Plugin_Initialize 
 'i=RegReadValue(sp&sV1)  
 'if IsEmpty(i) or i=0 then SetUIElement 1,true 

 Call myReadItem(sV1,1)
 Call myReadItem(sV2,2)
 Call myReadItem(sV3,3)
 Call myReadItem(sV4,4)
 Call myReadItem(sV5,5)
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex) 
 Call myWriteItem(sV1,1)
 Call myWriteItem(sV2,2)
 Call myWriteItem(sV3,3)
 Call myWriteItem(sV4,4)
 Call myWriteItem(sV5,5)

 Call IndicateSettingChange()
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB


Sub myReadItem(itmReg,ui)
 i=RegReadValue(sp&itmReg)  
 if IsEmpty(i) or i=0 then 
    Call SetUIElement(ui,true)
 end if
End Sub

Sub myWriteItem(itmReg,ui)
 if GetUIElement(ui)=true then
    s=RegReadValue(sp&itmReg)
    if IsEmpty(s)=false then Call RegDeleteValue(sp&itmReg)
 else
    Call RegWriteValue(sp&itmReg,1,2)
 end if
End sub


