"FILE"="Xteq Systems X-Setup Plugin 5.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Appearance\Start menu\Options"
"NAME"="Display Options"
"VERSION"="2.03"
"LANGUAGE"="VBScript"
"TEXT 1"="LONG plug-in..."
"DESCRIPTION 1"="If an item is disabled (not checked), Windows will either not display it or will not allow that change are made."
"DESCRIPTION 2"="NOTE #1: If you disable the context menu for Start->Programs, you will not be able to use drag & drop to move the items inside Programs."
"AUTHOR"="Neil R. Turner (totalxs@hotmail.com) for Xteq Systems"
"CONTACTURL"="http://www.neilrt.cwc.net/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="'Multiple Columns' setting from Tom Simpson [thomas@mail.xenafan.com] - thanks a lot!"
"COMMENT 2"="Thanks to Ken [k-o@cyberdude.dk] for the "no drag&drop" notice."
"COMMENT 3"="Thanks to Jon-Roar Selenius [jseleniu@online.no] for spotting the "Recent Documents always empty" bug."
"COMMENT 4"="Thanks to Thomas Zundel [Thomas.Zundel@htp-tel.de] for the "third option not working" bug notice!"
"COMMENT 5"="Thanks to Pierre Szwarc [szwarc@usa.net] for some of the settings!"
"COMMENT 6"="Thanks to Ojatex [ojatex@aol.com] for the code for the Recent Docs Shortcuts setting!"

 ' Paths
 sPA="HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\"
 sPB="HKLM\Software\Microsoft\Windows\CurrentVersion\Advanced\"
 sPC="HKCU\Software\Microsoft\Windows\CurrentVersion\Advanced\"
 ' Values
 sA1="NoTrayContextMenu" ' DWORD
 sA2="NoChangeStartMenu" ' DWORD
 sA3="NoRecentDocsHistory" ' BIN
 sA4="NoStartMenuSubFolders" ' DWORD
 sA5="NoCommonGroups" ' DWORD
 sB1="StartMenuScrollPrograms" ' $ (false/true)
 sC1="StartMenuScrollPrograms" ' $ (yes/empty)
 sC2="IntelliMenus" ' $ (yes/empty)
 sC3="StartMenuAdminTools" ' $ (yes/empty)
 ' Variables
 IE="HKLM\Software\Microsoft\Internet Explorer\Version"
 w=GetWinVer

SUB Plugin_Initialize
 ' we use s for reading the changeable values
 ' and i for variables (IE version etc.)

 ' sA1 (universal)
 Call SetUIElement(1,"Enable right-click context menu for System tray")
 s=RegReadValue(sPA&sA1)
 if s=0 OR IsEmpty(s) then
  Call SetUIElementEx(1,true)
 end if

 ' sA2 (IE4)
 i=RegReadValue(IE)
 if i>"4" then
  Call SetUIElement(2,"Enable right-click context menu for Start Menu")
  s=RegReadValue(sPA&sA2)
  if s=0 OR IsEmpty(s) then
   Call SetUIElementEx(2,true)
  end if
 end if

 ' sA3 (IE4)
 i=RegReadValue(IE)
 if i>"4" then
  Call SetUIElement(3,"Create Recent Document shortcuts on the Documents sub-menu")
  s=RegReadValue(sPA&sA3)
  if s=0 OR IsEmpty(s) then
   Call SetUIElementEx(3,true)
  end if
 end if

 ' sA4 (Universal)
 Call SetUIElement(4,"Show user-created folders at top of Start Menu")
 s=RegReadValue(sPA&sA4)
 if s=0 OR IsEmpty(s) then
  Call SetUIElementEx(4,true)
 end if

 ' sA5 (NT/2K)
 if w=2 OR w=4 then
  Call SetUIElement(5,"Show Common Groups in Start -> Programs")
  s=RegReadValue(sPA&sA5)
  if s=0 OR IsEmpty(s) then
   Call SetUIElementEx(5,true)
  end if
 end if

 ' sB1 (9x/NT)
 if w<4 then
  Call SetUIElement(6,"Show Start->Programs with Multiple Columns")
  s=RegReadValue(sPB&sB1)
  if s="false" then
   Call SetUIElementEx(6,true)
  end if
 end if

 ' sC1 (2K/Me)
 if w>3 then
  Call SetUIElement(7,"Show Start->Programs with Multiple Columns")
  s=RegReadValue(sPC&sC1)
  if s="NO" then
   Call SetUIElementEx(7,true)
  end if
 end if

 ' sC2 (2K/Me)
 if w>3 then
  Call SetUIElement(8,"Use Personalized Menus (hide unused items)")
  s=RegReadValue(sPC&sC2)
  if s="YES" then
   Call SetUIElementEx(8,true)
  end if
 end if

 ' sC3 (2K)
 if w=4 then
  Call SetUIElement(9,"Show Administrative Tools folder")
  s=RegReadValue(sPC&sC3)
  if s="YES" then
   Call SetUIElementEx(9,true)
  end if
 end if
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 ' sA1
 b=GetUIElementEx(1)
 if b=true then
  Call RegWriteValue(sPA&sA1,0,2)
 else
  Call RegWriteValue(sPA&sA1,1,2)
 end if

 ' sA2
 b=GetUIElementEx(2)
 if b=true then
  Call RegWriteValue(sPA&sA2,0,2)
 else
  Call RegWriteValue(sPA&sA2,1,2)
 end if

 ' sB1 (part of original plug-in code)
 b=GetUIElementEx(6)
 if b=true then
  Call RegWriteValue(sPB&sB1,"false",1)
 else
  Call RegWriteValue(sPB&sB1,"true",1)
 end if
 
 ' sA3
 b=GetUIElementEx(3)
 if b=true then
  Call RegWriteValue(sPA&sA3,"00000000",3)
 else
  Call RegWriteValue(sPA&sA3,"01000000",3)
 end if

 ' sA4
 b=GetUIElementEx(4)
 if b=true then
  Call RegWriteValue(sPA&sA4,0,2)
 else
  Call RegWriteValue(sPA&sA4,1,2)
 end if

 ' sA5
 b=GetUIElementEx(5)
 if b=true then
  Call RegWriteValue(sPA&sA5,0,2)
 else
  Call RegWriteValue(sPA&sA5,1,2)
 end if

 ' sC1
 b=GetUIElementEx(7)
 if b=true then
    Call RegWriteValue(sPC&sC1,"NO",1)
 else
    Call RegWriteValue(sPC&sC1,"YES",1)
 end if

 ' sC2
 b=GetUIElementEx(8)
 if b=true then
    Call RegWriteValue(sPC&sC2,"YES",1)
 else
    Call RegWriteValue(sPC&sC2,"NO",1)
 end if

 ' sC3
 b=GetUIElementEx(9)
 if b=true then
    Call RegWriteValue(sPC&sC3,"YES",1)
 else
    Call RegWriteValue(sPC&sC3,"NO",1)
 end if

 ' At least they all use IndicateSettingChange() !
 Call IndicateSettingChange()
END SUB

SUB Plugin_Terminate
 ' All Your Tweaks Are Belong To Us
 ' You are on the way to reconfiguration
 ' You have no setings to survive make your time
 ' Ha ha ha ha ...
END SUB
