"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH"="Appearance\Interface\Effects"
"NAME"="Window ToolTip Options"
"VERSION"="2.23"
"OSVERSION"="001111"
"LANGUAGE"="VBScript"
"TEXT 1"="Show ToolTips for window controls"
"DESCRIPTION 1"="By default, Windows displays a tooltip for the window controls like close, maximize, minimize etc. This might be useful at the beginning, but it also is annoying after a while."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="see also: http://support.microsoft.com/support/kb/articles/q186/3/85.asp "
"COMMENT 2"="Thanks to CptSiskoX for his help!"
"COMMENT 3"="Thanks to SMK [mailto:smak-@gmx.net] for the bug-fix!"


'0x80 = Popup Windows for default controls
c_ValPopup=&H80


Sub Plugin_Initialize 
 if RegValueExists(UPM_GetUPMRegPath) then
    if UPM_IsValueActivated(c_ValPopup)=true then
       Call SetUIElement(1,true)
    end if
 else
    Call Disable
 end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 Call UPM_SwitchValue(c_ValPopup,b)

 Call Logoff()
End Sub

Sub Plugin_Terminate 
End Sub


'----------------------------------------------------
'*** UPM (UserPrefenceMask) Functions Version 1.0 ***
'----------------------------------------------------

Function UPM_GetUPMRegPath
 if GetWinVer=1 or GetWinVer=3 or GetWinVer=5 then '95/98/ME
    UPM_GetUPMRegPath="HKCU\Control Panel\Desktop\UserPreferenceMask"
 else 'NT/2K/XP (?)
    UPM_GetUPMRegPath="HKCU\Control Panel\Desktop\UserPreferencesMask"
 end if   
End Function

Function UPM_IsValueActivated(ValueInHEX)
 UPM_s=RegReadValue(UPM_GetUPMRegPath)
 UPM_s=CStr(UPM_s)
 UPM_s=left(UPM_s,2) 'extract first byte
 UPM_sV="&H" & UPM_s 'convert to HEX

 if UPM_sV and ValueInHEX then
    UPM_IsValueActivated=true
 else
    UPM_IsValueActivated=false
 end if
End Function

Sub UPM_SwitchValue(ValueInHEX,BoolActivated)
 b=UPM_IsValueActivated(ValueInHEX)
 if b=true and BoolActivated=true then
    'do nothing, value already activated
 else
    if b=false and BoolActivated=false then
       'do nothing, value already deactivated
    else
       UPM_sAll=RegReadValue(UPM_GetUPMRegPath)
       UPM_sAll=CStr(UPM_sAll)
       
       UPM_s=left(UPM_sAll,2) 'extract first byte 
       UPM_sV="&H" & UPM_s
 
       if BoolActivated=true then
          UPM_sV=UPM_sV+ValueInHEX
       else
          UPM_sV=UPM_sV-ValueInHEX
       end if

       UPM_s=Hex(UPM_sV) & right(UPM_sAll,len(UPM_sAll)-2)
       Call RegWriteValue(UPM_GetUPMRegPath,UPM_s,3)
    end if
 end if
End Sub