"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="1"
"COUNT"="2"
"UIPATH"="Hardware\Video Cards\Voodoo 4/5"
"NAME"="Level of Detail Bias"
"LANGUAGE"="VBScript"
"TEXT 1"="Bias (Glide)"
"TEXT 2"="Bias (Direct3D)"
"DESCRIPTION 1"="Level Of Detail (LOD) bias modifies the calculation of texture level of detail parameter LOD. Often a texture is oversampled or filtered such that the texture is band limited at lower frequencies in one or more dimensions. The result is that texture-mapped primitives appear excessively blurry."
"DESCRIPTION 2"="LOD bias provides biases in the LOD calculation to compensate for under or over sampled texture images. The sharpness of mipmapped textures can be altered here."
"DESCRIPTION 3"="Entering a negative value in either field will make the image sharper, but it will affect overall performance. A positive value will make the image more blurred, but the perfomance will be better. The default value is 0, and the values can range from 8 to -8. -4 is a recommended value."
"DESCRIPTION 4"="In Windows 2000, the driver currently only allows values between 2 and -2, in which case you should set the value to -2."
"DESCRIPTION 5"="You can read the full in-depth LOD bias article (including pictures) by viewing: http://voodooextreme.com/reverend/Reviews/3dfx_5500/followup/3dfx5500_LOD_frames.html"
"COMMENT 1"="Thanks to CptSiskoX [cptsiskox@mailandnews.com] for suggesting this feature!"
"VERSION"="1.01"
"AUTHOR"="Xteq Systems (Neil R. Turner)"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"CONTACTURL"="http://www.neilrt.cwc.net/"
"OSVERSION"="101111"

Glide="HKLM\System\CurrentControlSet\Services\Class\Display\0000\Glide\FX_GLIDE_LOD_BIAS"
D3D="HKLM\System\CurrentControlSet\Services\Class\Display\0000\D3D\SSTH3_LOD_BIAS"

SUB Plugin_Initialize
 s=RegReadValue(Glide)
 call SetUIElement(1,s)

 s=RegReadValue(D3D)
 call SetUIElement(2,s)
END SUB

SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 ' Define limits - these vary depending on OS
 ' We assume that Windows XP=Windows 2000, for now at least...
 w=GetWinVer
 if w=4 OR w=6 then
  lim1="2"
  lim2="-2"
 else
  lim1="8"
  lim2="-8"
 end if

 s=GetUIElement(1)
 if s<lim1 AND s>lim2 then
  call RegWriteValue(Glide,s,1)
 else
  Call MsgError("You can only enter values between " & lim1 & " and " & lim2 & "!")
 end if

 s=GetUIElement(2)
 if s<lim1 AND s>lim2 then
  call RegWriteValue(D3D,s,1)
 else
  Call MsgError("You can only enter values between " & lim1 & " and " & lim2 & "!")
 end if
END SUB

SUB Plugin_Terminate
END SUB
