"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="1"
"COUNT"="1"
"UIPATH"="Appearance\Interface\Effects"
"NAME"="Window Border Width"
"VERSION"="3.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Border Width"
"DESCRIPTION 1"="You can use this setting to specify the width of the border (in pixels) around every window."
"DESCRIPTION 2"="The smallest size is 1 (also default) and the maximum is 49. Some systems report -15 as default, but any value below 0 is normally ignored by the Windows UI."
"DESCRIPTION 3"="NOTE: If you have changed the value to 1 and an additional border appears around the entire screen, your graphic-card drives has an bug. To revert this, change the value back to -15." 
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to Nikkie & Luuc from Virtual Plastic (http://www.nikkie-luuc.demon.nl/) for the bug fix!"

sP="HKCU\Control Panel\Desktop\WindowMetrics\BorderWidth"

'Called when the Plugin is started
SUB Plugin_Initialize
 i=RegReadValue(sP)
 if IsEmpty(i)=true then
    Call SetUIElement(1,1)   
 else
    Call SetUIElement(1,i)
 end if
END SUB


'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 If IsNumeric(i) then
    Call RegWriteValue(sP,i,1)
    Call Logoff
 else
    Call MsgError("Please enter a numeric value!")
 end if

END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
