"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH"="Appearance\Interface\Effects"
"NAME"="Windows FX Options #2"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Show menu shortcuts underlined"
"TEXT 2"="Animate menu appearing"
"TEXT 3"="Animate combobox appearing"
"TEXT 4"="Animate listbox and combobox scrolling"
"DESCRIPTION 1"="Note: Not all of these options will work on your computer, and they may make your system much slower."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to the german magazine c't (http://www.heise.de/ct/) for the description!"


'0x20 = Menues underlindes
c_ValMenuUnderlined=&H20

'0x02 = Animate Menu 
c_ValMenuAnimated=&H02

'0x04 = Animate Combobox
c_ValComboAnimated=&H04

'0x08 = Animate Scroll Listboxes/Comboboxes
c_ValScrollAnimated=&H08




Sub Plugin_Initialize 
 if RegValueExists(UPM_GetUPMRegPath) then
    if UPM_IsValueActivated(c_ValMenuUnderlined)=true then
       Call SetUIElement(1,true)
    end if

    if UPM_IsValueActivated(c_ValMenuAnimated)=true then
       Call SetUIElement(2,true)
    end if

    if UPM_IsValueActivated(c_ValComboAnimated)=true then
       Call SetUIElement(3,true)
    end if

    if UPM_IsValueActivated(c_ValScrollAnimated)=true then
       Call SetUIElement(4,true)
    end if

 else
    Call Disable
 end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 Call UPM_SwitchValue(c_ValMenuUnderlined,b)

 b=GetUIElement(2)
 Call UPM_SwitchValue(c_ValMenuAnimated,b)

 b=GetUIElement(3)
 Call UPM_SwitchValue(c_ValComboAnimated,b)

 b=GetUIElement(4)
 Call UPM_SwitchValue(c_ValScrollAnimated,b)


 Call Logoff()
End Sub

Sub Plugin_Terminate 
End Sub


'----------------------------------------------------
'*** UPM (UserPrefenceMask) Functions Version 1.0 ***
'----------------------------------------------------

Function UPM_GetUPMRegPath
 if GetWinVer=1 or GetWinVer=3 or GetWinVer=5 then '95/98/ME
    UPM_GetUPMRegPath="HKCU\Control Panel\Desktop\UserPreferenceMask"
 else 'NT/2K/XP (?)
    UPM_GetUPMRegPath="HKCU\Control Panel\Desktop\UserPreferencesMask"
 end if   
End Function

Function UPM_IsValueActivated(ValueInHEX)
 UPM_s=RegReadValue(UPM_GetUPMRegPath)
 UPM_s=CStr(UPM_s)
 UPM_s=left(UPM_s,2) 'extract first byte
 UPM_sV="&H" & UPM_s 'convert to HEX

 if UPM_sV and ValueInHEX then
    UPM_IsValueActivated=true
 else
    UPM_IsValueActivated=false
 end if
End Function

Sub UPM_SwitchValue(ValueInHEX,BoolActivated)
 b=UPM_IsValueActivated(ValueInHEX)
 if b=true and BoolActivated=true then
    'do nothing, value already activated
 else
    if b=false and BoolActivated=false then
       'do nothing, value already deactivated
    else
       UPM_sAll=RegReadValue(UPM_GetUPMRegPath)
       UPM_sAll=CStr(UPM_sAll)
       
       UPM_s=left(UPM_sAll,2) 'extract first byte 
       UPM_sV="&H" & UPM_s
 
       if BoolActivated=true then
          UPM_sV=UPM_sV+ValueInHEX
       else
          UPM_sV=UPM_sV-ValueInHEX
       end if

       UPM_s=Hex(UPM_sV) & right(UPM_sAll,len(UPM_sAll)-2)
       Call RegWriteValue(UPM_GetUPMRegPath,UPM_s,3)
    end if
 end if
End Sub