"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="1"
"UIPATH 1"="Network\TCP/IP"
"UIPATH 2"="System\Debugging"
"NAME"="IPSec Logging"
"OSVERSION"="000101"
"VERSION"="1.15"
"LANGUAGE"="VBScript"
"TEXT 1"="Log IPSec events"
"DESCRIPTION 1"="This setting can be used for troubleshooting Internet Protocol Security (IPSec) dependent on the Internet Key Exchange (IKE) protocol."
"DESCRIPTION 2"="Checked box enables IPSec (Oakley) logging; unchecked [cleared] box disables Oakley logging."
"DESCRIPTION 3"="Once enabled, you will find the file OAKLEY.LOG inside the "%SystemRoot%\debug" folder."
"DESCRIPTION 4"="See: http://support.microsoft.com/support/kb/articles/Q257/2/25.ASP"
"AUTHOR"="Ojatex@aol.com"
"CONTACTURL"="http://members.aol.com/ojatex/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=""
"COMMENT 2"="Thanks to CptSiskoX for suggested plugin."
"COMMENT 3"="See MSKB articles: http://support.microsoft.com/support/kb/articles/Q231/5/87.ASP & http://support.microsoft.com/support/kb/articles/Q231/5/85.ASP for more information about Oakley Logging."

Sub Plugin_Initialize 
 i=RegReadValue("HKLM\System\CurrentControlSet\Services\PolicyAgent\Oakley\EnableLogging")
 if i=1 then SetUIElement 1,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)

 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue("HKLM\System\CurrentControlSet\Services\PolicyAgent\Oakley\EnableLogging","1",2)
 else
    Call RegWriteValue("HKLM\System\CurrentControlSet\Services\PolicyAgent\Oakley\EnableLogging","0",2)
 end if

 Call Restart
End Sub

Sub Plugin_Terminate 
End Sub



