"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="2"
"UIPATH"="Network\TCP/IP Hardening
"NAME"="SYN Attack Protection Triggers"
"OSVERSION"="000101"
"WARNING"="1"
"VERSION"="1.10"
"LANGUAGE"="VBScript"
"TEXT 1"="SYN Trigger"
"TEXT 2"="Retried Trigger"
"DESCRIPTION 1"="These triggers control when SYN Attack Protection should beginn to work."
"DESCRIPTION 2"="The first trigger controls how many SYN requests should be allowed before SYN Attack Protection begins to operate."
"DESCRIPTION 3"="The second trigger controls how many unsuccessfully retries (at least one) should be allowed for SYN requests before SYN Attack Protection begins to operate. Please note: The trigger does not specify how many TIMES a SYN retry should take place, but how many retried SYN requests at one time are allowed!"
"DESCRIPTION 4"="There is no "best use" values for these settings but a unsuccessfully SYN request is very, very rare so the second trigger should be really low."
"DESCRIPTION 5"="The default setting for the first trigger is 100 (500 for Advanced Server) and for the second trigger 80 (400 for Advanced Server)."
"DESCRIPTION 6"="To restore the default value, clear the field."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


sP1="HKLM\System\CurrentControlSet\Services\TcpIp\Parameters\TcpMaxHalfOpen"
sP2="HKLM\System\CurrentControlSet\Services\TcpIp\Parameters\TcpMaxHalfOpenRetried"

Sub Plugin_Initialize 
 s=RegReadValue(sP1)
 SetUIElement 1,s

 s=RegReadValue(sP2)
 SetUIElement 2,s
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)=0 then
    If RegValueExists(sP1) then RegDeleteValue(sP1)
 else
    Call RegWriteValue(sP1,s,2)
 end if

 s=GetUIElement(2)
 if len(s)=0 then
    If RegValueExists(sP2) then RegDeleteValue(sP2)
 else
    Call RegWriteValue(sP2,s,2)
 end if


 Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub
