"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Network\TCP/IP Hardening
"NAME"="Keep Alive Time"
"OSVERSION"="000101"
"WARNING"="1"
"VERSION"="1.00"
"LANGUAGE"="VBScript"
"TEXT 1"="Time (s)"
"DESCRIPTION 1"="Especially if this computer is used as an HTTP/1.1 server, many clients will request an keep alive connection."
"DESCRIPTION 2"="This setting controls how often the server should check if an idle connection is still "alive" by sending a single TCP/IP packet to the client."
"DESCRIPTION 3"="If the client does not react on this keep alive packet, the keep alive connection is freed and thus freeing resources."
"DESCRIPTION 4"="The default value is 7200 seconds (two hours), a good value is 600 seconds(10 minutes)."
"DESCRIPTION 5"="To restore the system default value, clear the field."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com/"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "


sP="HKLM\System\CurrentControlSet\Services\TcpIp\Parameters\KeepAliveTime"

Sub Plugin_Initialize 
 if RegValueExists(sP) then
    s=RegReadValue(sP)
    if IsNumeric(s) then
       i=s/1000
       SetUIElement 1,i
    end if
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)
 if len(s)=0 then
    If RegValueExists(sP) then RegDeleteValue(sP)
 else
    i=s*1000
    Call RegWriteValue(sP,i,2)
 end if


 Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub

