"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="5"
"UIPATH"="System\File System\Windows 9x/ME Options\Performance"
"NAME"="File Allocation Cache"
"VERSION"="2.23"
"OSVERSION"="10101"
"LANGUAGE"="VBScript"
"TEXT 1"="Default: 512 kB"
"TEXT 2"="1024 kB (1 MB)"
"TEXT 3"="2048 kB (2 MB)"
"TEXT 4"="3072 kB (3 MB)"
"TEXT 5"="4096 kB (4 MB)"
"DESCRIPTION 1"="Disk fragmentation occurs inherently in Windows 9x and most frequently accessed files "break up" spanning across non-sequential clusters, especially over long periods of time."
"DESCRIPTION 2"="But you can limit fragmentation by increasing the free cluster size Windows 9x looks for when storing files on disk, thus decreasing the time the System Agent (Task Scheduler) "Low disk notification" and "Maintenance disk cleanup" and the Maintenance Wizard tools take for tuning up your system, by forcing Windows to ignore larger amounts of fragmented disk space, and to avoid splitting larger files the same time."
"DESCRIPTION 3"="If you have any newer monster multi-GigaByte size hard disk(s), you may want to set this value to "high": 2048 - 4096."
"DESCRIPTION 4"="If you don't work frequently with multi-MegaByte size files, you may want to set it to "low": 512 - 2048."
"COMMENT 1"=" "
"COMMENT 2"="Thanks to AXCEL216 (http://users.aol.com/axcel216/) for allowing us to rip his description and for this great option."
"COMMENT 3"="Thanks also to CptSiskoX for his help!"
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"

'Declaration of some constants
sP="HKEY_LOCAL_MACHINE\System\CurrentControlSet\control\FileSystem\ContigFileAllocSize" 'DW:512

'Called when the Plugin is started
SUB Plugin_Initialize
    i=RegReadValue(sP)
    bFound=false
 
    if i=1024 then
       SetUIElement 2,true
       bFound=true
    end if
    if i=2048 then
       SetUIElement 3,true
       bFound=true
    end if
    if i=3072 then
       SetUIElement 4,true
       bFound=true
    end if
    if i=4096 then
       SetUIElement 5,true
       bFound=true
    end if
 
    'check default value
    if i=512 or bFound=false then
       SetUIElement 1,true
    end if    
 
END SUB

'Called when the Plugin should validate the Data the user has entered
SUB Plugin_CheckData(ElementIndex)
END SUB

'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 i=512 'default is 512
 
 if GetUIElement(2)=true then i=1024
 if GetUIElement(3)=true then i=2048
 if GetUIElement(4)=true then i=3072
 if GetUIElement(5)=true then i=4096
 
 if i<>512 then
    Call RegWriteValue(sp,i,2)
 else 
    s=RegReadValue(sP)
    if IsEmpty(s)=false then
       Call RegDeleteValue(sP)
    end if
 end if
 
 
 Call Restart()
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
