"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="8"
"COUNT"="2"
"UIPATH 1"="Startup/Shutdown\Startup\Windows 9x/ME\40) Pre-Windows"
"NAME"="IOS SafeList Programs"
"VERSION"="2.11"
"OSVERSION"="10101"
"WARNING"="1"
"LANGUAGE"="VBScript"
"TEXT 1"="Add Item"
"TEXT 2"="Remove item"
"DESCRIPTION 1"="IOS.INI (meaning Initializing Operating System) is a plain text file found in your Win9x/ME folder. However, the lines contained in IOS.INI are a powerful filter for the Operating System."
"DESCRIPTION 2"="Here is how it works:  Win9x/ME boots up, the GUI loads, Windows then loads its 32-bit protected mode disk paging VXDs (virtual eXtended drivers), but needs to know if there is -NO- real DOS mode [16-bit] driver/device/TSR [terminate and stay resident program], that can interfere with 32-bit Windows disk operation.  Some well known and some less known (to Windows 9x/ME) such programs might drive the OS "crazy" - forcing it to start with one of those alert/warning messages that reads something like: "A new MS-DOS resident program named 'CACHDISK' may decrease your system's  performance. Would you like to see more information about this problem?"  The whole "secret" lies in the list found under Ios.ini's [SafeList] section. If one of your "weird" drivers/TSRs loaded in memory from a Config.sys or Autoexec.bat command line is not present on this list, the OS might show a message similar to the one above, and aborts the loading of its 32-bit disk drivers, which causes performance to degrade."
"DESCRIPTION 3"="All you need to do (ONLY if you determined that your particular program WILL NOT interfere with Windows proper operation) is use this plug-in to remove items that you determine are safe to remove."
"DESCRIPTION 4"="Use at your own risk."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "



sF="IOS.INI"

sFile=""
iUICount=0
iStart=0
Dim aryLoc(512) '512 items inside this array should be okay...

Sub Plugin_Initialize 
 sFile=GetWinDir & sF
 Call ReloadAll
End Sub

Sub ReloadAll
 for i=1 to iUICount
     Call SetUIElement(i,"")
     aryLoc(i)=0
 next 

 iUICount=0
 iStart=0

 iC=TxtOpen(sFile) 'open file
 iStart=TxtFindLine("[SafeList]",false) 'search for start of section

 if iStart>0 then
    'we make an endless loop....
    do while true
      iStart=iStart+1
      s=TxtGetLine(iStart)
      if (left(s,1)<>"[") and (len(s)>0) then
         iUICount=iUICount+1

         'safe data for later use
         SetUIElement iUICount,s         
         aryLoc(iUICount)=iStart
         
      else
        'the text starts with "[" -> next section e.g. [UNSAFE] -> exit loop
        exit do
      end if
    loop
 end if
 
End Sub



Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
    '-----------Add Item--------------------
    if ElementIndex=1 then 
       s=InputWindow("Please type in the filename for the new item. (Note: You can add a space and ';' as a comment, e.g. 'blah.dos ;a nice driver')","",1)
       if IsEmpty(s)=false then
           
          'set the text inside the file
          Call TxtInsertLine(iStart,s) 
          'save the file
          Call TxtSave()
          'reload list
          Call ReloadAll 
       end if          
    end if


    '-----------Remove Item--------------------
    If ElementIndex=2 then 
       if ElementSubIndex>0 then

          i=aryLoc(ElementSubIndex)
          Call TxtDeleteLine(i)
          Call TxtSave()
          Call ReloadAll
            
       else
         Call MsgError("Unable to continue - please select an item first")
       end if
    end if
End Sub

Sub Plugin_Terminate 
End Sub



