"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="4"
"UIPATH"="System\File System\Windows NT/2K/XP Options"
"NAME"="Windows NT/2K/XP Options"
"VERSION"="1.35"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="Enable update of "Last Access" attribute"
"TEXT 2"="Clear pagefile (swapfile) on shutdown"
"TEXT 3"="Create 8+3 filenames (NTFS partitions only)"
"TEXT 4"="Allow extended characters in 8+3 filenames (NTFS partitions only)"
"DESCRIPTION 1"="By default, Windows updates the attribute "Last Access at" each time you access a file. If you don't need this feature, you can disable it here to save time. Disabling this feature is useful if this machine is used as a fileserver and should be as fast as possible."
"DESCRIPTION 2"="By default, the Windows pagefile (for temp. memory) is left intact on shutdown, and could be scanned for useful information. By enabling this option, the pagefile is cleared on shutdown by Windows so it can't be scanned."
"DESCRIPTION 3"="If "Create 8+3 filenames" is activated (default), Windows also creates a 8+3 filename for each file. Only 16-bit apps will need those 8+3 names, so if you don't have any legacy programs you can properly deactivate this option."
"DESCRIPTION 4"="If "Allow extended characters in 8+3 filenames" is activated (this setting is DEACTIVATED by default), Windows can use extended characters (=outside the basic 64-character set) for the automatic filename creation. Activating this option might lead to problems with legacy application if they use a different code page than Windows itself."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to John Hansen [sasjwh@wnt.sas.com] for his help and the Win2K feature!"
"COMMENT 2"="Thanks to Pierre Szwarc [mailto:szwarc@usa.net] for setting 3+4!"



sP="HKLM\System\CurrentControlSet\Control\FileSystem\NtfsDisableLastAccessUpdate"
sP2="HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management\ClearPageFileAtShutdown"
sP3="HKLM\System\CurrentControlSet\Control\FileSystem\NtfsDisable8dot3NameCreation"
sP4="HKLM\System\CurrentControlSet\Control\FileSystem\NtfsAllowExtendedCharacterIn8dot3Name"

Sub Plugin_Initialize 
    i=RegReadValue(sP)
    if IsEmpty(i) or i=0 then
       SetUIElement 1,true
    end if

    i=RegReadValue(sP2)
    if i=1 then
       Call SetUIElement(2,true) 
    end if  

    i=RegReadValue(sP3)
    if IsEmpty(i) or i=0 then
       SetUIElement 3,true
    end if

    i=RegReadValue(sP4)
    if i=1 then
       SetUIElement 4,true
    end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 b=GetUIElement(1)
 if b=true then
    Call RegWriteValue(sp,0,2)
 else 
    Call RegWriteValue(sp,1,2)
 end if
 

 b=GetUIElement(2)
 if b=true then
    Call RegWriteValue(sP2,1,2) 
 else
    Call RegWriteValue(sP2,0,2) 
 end if

 b=GetUIElement(3)
 if b=true then
    Call RegWriteValue(sP3,0,2) 
 else
    Call RegWriteValue(sP3,1,2) 
 end if

 b=GetUIElement(4)
 if b=true then
    Call RegWriteValue(sP4,1,2) 
 else
    Call RegWriteValue(sP4,0,2) 
 end if



 Restart
End Sub

Sub Plugin_Terminate 
End Sub

