"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="System\Memory\"
"NAME"="Windows NT/2K/XP I/O Pages"
"VERSION"="2.07"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="IO Size"
"DESCRIPTION 1"="This option allows you to change the maximum number of bytes that can be locked for I/O (Input/Output) operations."
"DESCRIPTION 2"="If you have some extra RAM and an active file system, you can speed up file system activity by increasing this setting beyond the default 512 KB."
"DESCRIPTION 3"="It has been reported that some IDE-CD Recorder will *FAIL* if you change this value to anything else than Default. If you have any problems after using this plug-in, please change the value back to Default."
"DESCRIPTION 4"="NOTE: Please check only one single box."
"WARNING"="1"
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to CptSiskoX for his help!"
"COMMENT 2"="Thanks to John Hansen [sasjwh@wnt.sas.com] for the Windows 2000 part!"
"COMMENT 3"="Thanks to Thomas Koschate [koschate@bigfoot.com] for the CDR bug-notice."


sV1="HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\Session Manager\Memory Management\IoPageLockLimit" 'DW 
Sub Plugin_Initialize 
 Call SetUIElement(1,"(1) 512 KB (Default)")
 Call SetUIElement(2,"(2) 4096 KB (for 32+ MB computers)")
 Call SetUIElement(3,"(3) 8192 KB (for 64+ MB computers)")
 Call SetUIElement(4,"(4) 16384 KB (for 128+ MB computers)")
 Call SetUIElement(5,"(5) 32768 KB (for 160+ MB computers)")
 Call SetUIElement(6,"(6) 65536 KB (for 256+ MB computers)")

 i=RegReadValue(sV1)

 if IsEmpty(i)=false then
    if i=0 then     Call SetUiElementEx(1,true)
    if i=4096 then  Call SetUiElementEx(2,true)
    if i=8192 then  Call SetUiElementEx(3,true)
    if i=16384 then Call SetUiElementEx(4,true)
    if i=32768 then Call SetUiElementEx(5,true)
    if i=65536 then Call SetUiElementEx(6,true)
 else
    Call SetUiElementEx(1,true)
 end if
End Sub


Sub Plugin_CheckData(ElementIndex)
End Sub



Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 e=0
 for i=1 to 6
     if GetUIElementEx(i)=true then e=e+1
 next

 if e>1 then 
    Call MsgError("Please select only one item!")
 else
   i=empty
   if GetUIElementEx(1)=true then i=0
   if GetUIElementEx(2)=true then i=4096
   if GetUIElementEx(3)=true then i=8192
   if GetUIElementEx(4)=true then i=16384
   if GetUIElementEx(5)=true then i=32768
   if GetUIElementEx(6)=true then i=65536

   if isempty(i)=false then
      if i=0 then
         If RegValueExists(sV1) then Call RegDeleteValue(sV1)
      else
         Call RegWriteValue(sV1,i,2)
      end if

      Call Restart()
   else
      Call MsgError("Please select a value!")
   end if
 end if

End Sub


Sub Plugin_Terminate 
End Sub



