"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="9"
"COUNT"="1"
"UIPATH"="Network\TCP/IP"
"NAME"="LPR Ports RFC 1179 compliant"
"VERSION"="1.02"
"LANGUAGE"="VBScript"
"OSVERSION"="010101"
"WARNING"="1"
"TEXT 1"="na na"
"DESCRIPTION 1"="Windows includes an service to print to LPR printers (Line Printer interface) which is described in RFC 1179. Normally this service simply works but you can run into problems when you have more printers than the ports described in RFC 1179."
"DESCRIPTION 2"="RFC 1179 only described 10 ports which a LPR can use (721-731) and if you have more printers than this amount, Windows might run out of LPR Ports when printing, resulting in some printers taking really long time to print something."
"DESCRIPTION 3"="With these settings, you can enable that Windows uses more ports (any above 1024) for sending data to an LPR Printer which is no longer RFC 1179 compatible but works with most LPR printers."
"DESCRIPTION 4"="Checking a device means: Use any port above 1024. An unchecked box means: Be strictly RFC 1179 compatible (use only 721-731)."
"DESCRIPTION 5"="More information about this topic can be found in MS KB: Q179156"
"DESCRIPTION 6"="NOTE: You need to restart the SPOOLER service to apply these changes: just enter "NET STOP SPOOLER" and "NET START SPOOLER" on a command prompt."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"


sPath="HKLM\Software\Microsoft\LPDSVC\lpr\"
sValNon=sPath & "UseNonRFCSourcePorts"

Dim iCount

'Called when the Plugin is started
Sub Plugin_Initialize
 if RegValueExists(sValNon) then
    Call MsgInformation("Your computer is configured with the UseNonRFCSourcePorts setting, therefore this plug-in is not usefull for you and is disabled")
 else
    iCount=RegEnumValues(sPath)
    for e=1 to iCount
        Call SetUIElement(e,"Port: " & RegEnumElement(e))
        if RegReadValue(sPath & RegEnumElement(e))="1" then
           Call SetUIElementEx(e,true)
        end if
    next 

 end if

End Sub

'Called when the Plugin should apply the changes
Sub Plugin_Apply(ElementIndex,ElementSubIndex)

 for i=1 to iCount
     b=GetUIElementEx(i)
     if b=true then
        Call RegWriteValue(sPath & RegEnumElement(i),1,2)
     else
        Call RegWriteValue(sPath & RegEnumElement(i),0,2)
     end if
 next

End Sub

'Called when the Plugin is about to be removed from memory
Sub Plugin_Terminate
End Sub
