"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="3"
"UIPATH"="System\Memory"
"NAME"="Windows NT Memory Settings"
"VERSION"="2.15"
"LANGUAGE"="VBScript"
"OSVERSION"="010101"
"TEXT 1"="Use large system cache"
"TEXT 2"="Allow paging of kernel"
"TEXT 3"="Execute 16bit Applications Separated"
"DESCRIPTION 1"="OPTION #1: Windows NT Server uses a large system cache while NT Workstation does not."
"DESCRIPTION 2"="If you have NT Workstation and enough RAM, you should try enabling this feature and see if your computer works faster. You can always change it later. "
"DESCRIPTION 3"=" "
"DESCRIPTION 4"="OPTION #2: Windows NT is allowed to page parts of its kernel (the heart of Windows NT)."
"DESCRIPTION 5"="This only happens if a lot of programs are opened, but it will slow down your system badly."
"DESCRIPTION 6"="For maximum performance, you should deactivate this option."
"DESCRIPTION 7"="NOTE: Do not deactivate this option if you want to use standby power functions (Hibernate etc.)!
"DESCRIPTION 8"=" "
"DESCRIPTION 9"="OPTION #3: By default, all 16bit applications are run in the same memory-space of Windows NT. If one of these applications crashes badly, it can happen that it's the end of all other 16bit applications also."
"DESCRIPTION 10"="To prevent this, every 16bit application can be run in it's own process. This requires more memory, but it's safer."
"DESCRIPTION 11"="Important Note:  If you are having 16-bit applications run in separate memory processes, only one 16-bit program can access 16-bit DLLs that are normally shared at a time.  This may result in crashes or errors in some 16-bit programs if they try accessing as 16-bit DLL which is already being used by another 16-bit application. However, generally this is not a concern as 16-bit applications seldom require use of the same 16-bit DLL files at the same time."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 2"="Thanks to Darren Carter, MD [dc312@columbia.edu] for the power function tip!"


sPath1="HKLM\System\CurrentControlSet\Control\Session Manager\Memory Management\"
sValue1="LargeSystemCache"
sValue2="DisablePagingExecutive"

sPath3="HKLM\System\CurrentControlSet\Control\WOW\"
sValue3="DefaultSeparateVDM"

Sub Plugin_Initialize 
 if RegPathExists(sPath1) then

  i=RegReadValue(sPath1 & sValue1)
  if i=0 then 
   Call SetUIElement(1,false)
  else
   Call SetUIElement(1,true)
  end if

  l=RegReadValue(sPath1 & sValue2)
  if l=0 then
   Call SetUIElement(2,True)
  else
   Call SetUIElement(2,False)   
  end if

  s=RegReadValue(sPath3 & sValue3)
  if s="yes" then
     Call SetUIElement(3,True)
  else
     Call SetUIElement(3,False)   
  end if


 else
   Disable
 end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i=True then
    Call RegWriteValue(sPath1 & sValue1,1,2)
 else
    Call RegWriteValue(sPath1 & sValue1,0,2)
 end if

 if GetUIElement(2)=true then
    Call RegWriteValue(sPath1 & sValue2,0,2)
 else
    Call RegWriteValue(sPath1 & sValue2,1,2)
 end if

 if GetUIElement(3)=true then
    Call RegWriteValue(sPath3 & sValue3,"yes",1)
 else
    Call RegWriteValue(sPath3 & sValue3,"no",1)
 end if


 Call Restart
End Sub

Sub Plugin_Terminate 
End Sub
