"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="Hardware\Mouse\General Options"
"NAME"="Mouse Refresh Rate"
"LANGUAGE"="VBScript"
"VERSION"="1.20"
"OSVERSION"="010101"
"TEXT 1"="Rate"
"DESCRIPTION 1"="Sometimes the mouse cursor in Windows NT flickers because the refresh rate of the mouse port is to slow."
"DESCRIPTION 2"="You can use this setting to adjust the refresh rate of the port. The default value is 60, the highest value is 200 (higher number = smoother)."
"DESCRIPTION 3"="NOTE: It has been reported that this setting has no effect if you are using an ACPI-compilant PC and Windows 2000/XP.  If this happens, use the Mouse Control Panel applet."
"DESCRIPTION 4"="WARNING: If you are using a notebook with a build-in mouse replacement (e.g. the Mouse Stick between the "G" and "H" keys), changing this option might make your mouse replacement UNUSABLE!"
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="Thanks to SMK [mailto:smak-@gmx.net] for the bug-fix!"
"COMMENT 2"="Thanks to Ray Anderson [rayda@us.ibm.com] for the "notebooks don't like it" notice..."


sP="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\i8042prt\Parameters\SampleRate"

'Called when the Plugin is started
SUB Plugin_Initialize
    i=RegReadValue(sP)
    if IsEmpty(i) then
       SetUIElement 1,""
    else
       SetUIElement 1,i
    end if
END SUB


'Called when the Plugin should apply the changes
SUB Plugin_Apply(ElementIndex,ElementSubIndex)
 s=GetUIElement(1)

 if len(s)>0 then 
    Call RegWriteValue(sP,s,1)
 else
    if RegValueExists(sP) then RegDeleteValue(sP)
 end if

 Call Restart()
END SUB

'Called when the Plugin is about to be removed from memory
SUB Plugin_Terminate
END SUB
