"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="7"
"COUNT"="3"
"UIPATH"="Network\Security\NTLM v2 Authentication"
"NAME"="Server Options"
"VERSION"="1.18"
"OSVERSION"="01000"
"LANGUAGE"="VBScript"
"TEXT 1"="Restore original setting"
"TEXT 2"="Level 4: Do not accept LM authentication (Win 3.x, 95, 98)"
"TEXT 3"="Level 5: *ONLY* accept NTLM v2 authentication"
"WARNING"="Setting this option to an incorrect value can prevent you from connecting to your network! Only change it if you are 100% sure what you are doing!"
"DESCRIPTION 1"="Some more information can be found in the "Client options" plug-in, or by viewing the Microsoft KB article Q147706 (http://support.microsoft.com/support/)."
"DESCRIPTION 2"=""Level 4" will prevent Windows 3.x or 95/98 users from connecting to this machine because LM authentication will be disabled, but Windows NT clients can still access it using NTLM or NTLM v2."
"DESCRIPTION 3"=""Level 5" is the most secure setting, but will only work if SP4 is installed on both this server and the Windows NT clients connecting it."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information, please see Microsoft KB Q147706"
"COMMENT 2"="Thanks to Chris [CGMT@flashmail.com] for the "non-NT but not disabled" bug notice."


sPath="HKLM\System\CurrentControlSet\Control\LSA\LMCompatibilityLevel"


Sub Plugin_Initialize 
    i=RegReadValue(sPath)

    if i=4 then SetUIElement 2,true
    if i=5 then SetUIElement 3,true
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=0

 if GetUiElement(2)=true then i=4
 if GetUiElement(3)=true then i=5

 if i>0 then 
    Call RegWriteValue(sPath,i,2) 
 else
    i=RegReadValue(sPath)
    if IsEmpty(i)=false then
       Call RegDeleteValue(sPath)
    end if
 end if
End Sub

Sub Plugin_Terminate 
End Sub
