"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="3"
"UIPATH"="Network\RAS & DUN"
"NAME"="Server Options"
"VERSION"="1.06"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="Auth. Attempts"
"TEXT 2"="Auth. Time (sec)"
"TEXT 3"="Auto Discon. (min)"
"DESCRIPTION 1"="The first option controls how often a user connecting to this server is allowed to try to authenticate before the connection is closed. Valid values are 1 to 10 (Default is 2)."
"DESCRIPTION 2"="The second option controls how long the user is allowed to authenticate before the connection is closed. This value is in seconds; the range is from 20 seconds to 600 seconds (Default is 120)."
"DESCRIPTION 3"="The third options controls after how many minutes inactivity the connection should be automatically closed. The default values is 20 minutes."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks to CptSiskoX for his help!"


sV1="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\RemoteAccess\Parameters\AuthenticateRetries"
sV2="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\RemoteAccess\Parameters\AuthenticateTime"
sV3="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\RemoteAccess\Parameters\AutoDisconnect"

Sub Plugin_Initialize 
    i=RegReadValue(sV1)
    SetUIElement 1,i

    i=RegReadValue(sV2)
    SetUIElement 2,i

    i=RegReadValue(sV3)
    SetUIElement 3,i
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if i<1 or i>10 then
    Call MsgError("Please enter a value between 1 and 10")
 else
    if i="" then
       'Delete Value   
       i=RegReadValue(sV1)
       if IsEmpty(i)=false then 
          Call RegDeleteValue(sV1)
       end if
    else
       'Set Value
       Call RegWriteValue(sV1,i,2)
    end if
end if


  
 i=GetUIElement(2)
 if i<20 or i>600 then
    Call MsgError("Please enter a value between 20 and 600")
 else
    if i="" then
       'Delete Value   
       i=RegReadValue(sV2)
       if IsEmpty(i)=false then 
          Call RegDeleteValue(sV2)
       end if
    else
       'Set Value
       Call RegWriteValue(sV2,i,2)
    end if
 end if


 i=GetUIElement(3)
 'Set Value
 Call RegWriteValue(sV3,i,2)

 Call Restart
End Sub

Sub Plugin_Terminate 
End Sub
