"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="2"
"COUNT"="1"
"UIPATH"="System\Advanced System Settings"
"NAME"="Windows Registry Quota"
"VERSION"="1.02"
"OSVERSION"="010101"
"LANGUAGE"="VBScript"
"TEXT 1"="Quota (MB)"
"DESCRIPTION 1"="By default, Windows uses 25% of the paged pool (=swapfile, virtual memory) as the maximum size for the registry."
"DESCRIPTION 2"="Normally this works well, but there are situations where this is simply not enough. In this case, simply enter the new value here. Windows will always only use until 80% of the paged pool size."
"DESCRIPTION 3"="For example, if you have configured 100 MB as virtual memory, Windows will not use more than 80 MB for the registry."
"DESCRIPTION 4"="Please note that changing this value does not allocate any additonal memory until its actually needed. Means, if you configure 30 MB but your Registry is only 10 MB in size, Windows will only allocate 10 MB of memory."
"DESCRIPTION 5"="To have the default 25% handling back, just clear the field."
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"="For more information MS KB Q94993"
"COMMENT 2"=""


sV1="HKLM\System\CurrentControlSet\Control\RegistrySizeLimit"
Sub Plugin_Initialize 
  i=RegReadValue(sV1)
  if IsEmpty(i)=false then
     Call SetUIElement(1,i)
  end if
End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 i=GetUIElement(1)
 if len(i)>0 then
    Call RegWriteValue(sV1,i,2)
 else
    if RegValueExists(sV1) then
       Call RegDeleteValue(sV1)
    end if
 end if

 Call Restart()
End Sub

Sub Plugin_Terminate 
End Sub



