"FILE"="Xteq Systems X-Setup Plugin 6.0"
"TYPE"="6"
"COUNT"="2"
"UIPATH"="Hardware\Mouse\X-Mouse"
"NAME"="X-Mouse Options 2K/ME/XP"
"OSVERSION"="000111"
"VERSION"="3.02"
"LANGUAGE"="VBScript"
"TEXT 1"="Activate window when mouse passes it (X Windows Style)"
"TEXT 2"="Bring active window to foreground if XMouse activates it"
"DESCRIPTION 1"="If the first option is activated, a window is activated a soon as the mouse pointer is over it."
"DESCRIPTION 2"="The first option should ONLY be enabled, if "Snap To Default Button" is disabled, OR if the second option is enabled also. Else the results might be very "strange"!
"AUTHOR"="Xteq Systems"
"CONTACTURL"="http://www.xteq.com"
"COPYRIGHT"="Copyright  Xteq Systems - All Rights Reserved"
"COMMENT 1"=" "
"COMMENT 2"="Thanks also to CptSiskoX for the bug-report and the X-Mouse setting!"



'0x01 = Actvate Window on mouse
c_ValMouseAct=&H01
'0x40 = Bring Window to front
c_ValMouseFront=&H40


Sub Plugin_Initialize 
 if RegValueExists(UPM_GetUPMRegPath) then
    if UPM_IsValueActivated(c_ValMouseAct)=true then
       Call SetUIElement(1,true)
    end if

    if UPM_IsValueActivated(c_ValMouseFront)=true then
       Call SetUIElement(2,true)
    end if

 else
    Call Disable
 end if

End Sub

Sub Plugin_CheckData(ElementIndex)
End Sub

Sub Plugin_Apply(ElementIndex,ElementSubIndex)
 bVal1=GetUIElement(1)
 bVal2=GetUIElement(2)

 if bVal2=true and bVal1=false then
    bVal1=true 'second option only with first option together!
 end if


 Call UPM_SwitchValue(c_ValMouseAct,bVal1)
 Call UPM_SwitchValue(c_ValMouseFront,bVal2)

 Call SetUIElement(1,bVal1)
 Call SetUIElement(2,bVal2)


 Call Logoff()
End Sub

Sub Plugin_Terminate 
End Sub


'----------------------------------------------------
'*** UPM (UserPrefenceMask) Functions Version 1.0 ***
'----------------------------------------------------

Function UPM_GetUPMRegPath
 if GetWinVer=1 or GetWinVer=3 or GetWinVer=5 then '95/98/ME
    UPM_GetUPMRegPath="HKCU\Control Panel\Desktop\UserPreferenceMask"
 else 'NT/2K/XP (?)
    UPM_GetUPMRegPath="HKCU\Control Panel\Desktop\UserPreferencesMask"
 end if   
End Function

Function UPM_IsValueActivated(ValueInHEX)
 UPM_s=RegReadValue(UPM_GetUPMRegPath)
 UPM_s=CStr(UPM_s)
 UPM_s=left(UPM_s,2) 'extract first byte
 UPM_sV="&H" & UPM_s 'convert to HEX

 if UPM_sV and ValueInHEX then
    UPM_IsValueActivated=true
 else
    UPM_IsValueActivated=false
 end if
End Function

Sub UPM_SwitchValue(ValueInHEX,BoolActivated)
 b=UPM_IsValueActivated(ValueInHEX)
 if b=true and BoolActivated=true then
    'do nothing, value already activated
 else
    if b=false and BoolActivated=false then
       'do nothing, value already deactivated
    else
       UPM_sAll=RegReadValue(UPM_GetUPMRegPath)
       UPM_sAll=CStr(UPM_sAll)
       
       UPM_s=left(UPM_sAll,2) 'extract first byte 
       UPM_sV="&H" & UPM_s
 
       if BoolActivated=true then
          UPM_sV=UPM_sV+ValueInHEX
       else
          UPM_sV=UPM_sV-ValueInHEX
       end if

       UPM_s=Hex(UPM_sV) & right(UPM_sAll,len(UPM_sAll)-2)
       Call RegWriteValue(UPM_GetUPMRegPath,UPM_s,3)
    end if
 end if
End Sub